<?php

// QuickTeam 2.2 build:20090726

// CONSTRAINT:
// users can be outside section (i.e. new user not yet in section)
// users without section are stored in the garbage collector (section 0)

/*
 * CLASS cSection
 *
 * constructor cSection: argument can be null, a section id, a section arr, a cSection object
 * function MakeFromArray: used by the constructor
 * function MoveContent (=DeleteContent)
 *
 */

class cSection
{

// --------

var $domid;     // Domain id
var $domname;   // Domain name
var $id;        // Section id
var $idtitle;   // Section title
var $name;      // Section name (translation)
var $descr;     // Section descr (translation)
var $type = 0;  // '0'=visible, '1'=hidden, '2'=hidden by user
var $status = 0;// '0'=actif, '1'=closed
var $vorder = 255;
var $forder;
var $modid = 1;
var $modname = 'Admin';

var $stats='';   // Several stats (no used)
var $options=''; // Several options

// stats
var $members = 0;
var $membersZ = 0;

// options
var $d_order='';  // Teams member default sort order (not used)
var $d_logo='';   // Section picture named s_x.gif/.jpeg/.jpg/.png (where x is the section id)

// not used (version 14)
var $template='T';      // 'T'=table, 'P'=preview, 'C'=compactlist;
var $ontop='0';   // status members to be on top (0=none)

// --------

function cSection($aSection=null)
{
  if ( isset($aSection) )
  {
    if ( is_int($aSection) )
    {
      if ( $aSection<0 ) die('Wrong id in cSection');
      global $oDB;
      $oDB->Query('SELECT * FROM '.TABSECTION.' WHERE id='.$aSection);
      $row = $oDB->Getrow();
      if ( $row===False ) die('No section '.$aSection);
      $this->MakeFromArray($row);
    }
    elseif ( is_array($aSection) )
    {
      $this->MakeFromArray($aSection);
    }
    else
    {
      die('Invalid constructor parametre #1 for the class cSection');
    }
  }
  // Read options/stats

  $this->ReadOptions();
  $this->ReadStats();

}

// --------

function MakeFromArray($arr)
{
  if ( !is_array($arr) ) die('Invalid argument for cSection->MakeFromArray');
  foreach ($arr as $strKey => $oValue) {
  switch ($strKey) {
    case 'domainid': $this->domid   = intval($oValue); break;
    case 'id':       $this->id      = intval($oValue); break;
    case 'title':    $this->idtitle = $oValue; break;
    case 'type':     $this->type    = intval($oValue); break;
    case 'status':   $this->status  = intval($oValue); break;
    case 'vorder':   $this->vorder  = intval($oValue); break;
    case 'forder':   $this->forder  = $oValue; if ( empty($this->forder) ) $this->forder = 'status_i;fullname;phones;emails;picture'; break;
    case 'modid':    $this->modid   = intval($oValue); break;
    case 'modname':  $this->modname = $oValue; break;
    case 'stats':    $this->stats   = $oValue; break;
    case 'options':  $this->options = $oValue; break;
    // not used (version 14)
    case 'template': $this->template = $oValue; break;
    case 'ontop':    $this->ontop    = $oValue; break;
  }}
  $this->name = ObjTrans('sec','s'.$this->id,$this->idtitle);
  $this->descr = ObjTrans('secdesc','s'.$this->id,false);
  $this->domname= ObjTrans('domain','d'.$this->domid,'(domain '.$this->domid.')');
}

// --------
// instanciate is allowed

function MoveContent($intSrc=null,$intDest=0,$bStats=true)
{
  if ( !isset($intSrc) ) $intSrc = $this->id;
  if ( $intSrc<0 || $intDest<0 ) die('Wrong idSrc in section->MoveContent');
  if ( $intSrc == $intDest )     die('Wrong idDest in section->MoveContent');

  // Move members
  global $oDB;
  $oDB->Query('UPDATE '.TABS2U." SET sid=$intDest WHERE sid=$intSrc");

  // Update stats
  UpdateSectionStats($intSrc);
  UpdateSectionStats($intDest);
}

// --------

function ShowInfo($strClassMain='',$strClassName='',$strClassDesc='',$strAlign='right',$strPictureUrl='',$qte_root='')
{
  echo '<!-- section description -->',N;
  echo '<table class="',$strClassMain,'" style="margin-bottom:10px"><tr class="',$strClassMain,'"><td class="',$strClassMain,'">';
  if ( !empty($this->d_logo) )
  {
    echo AsImg($qte_root.'document/section/'.$this->d_logo,'logo',$this->name,$strClassMain.'_'.$strAlign,'',$strPictureUrl);
  }
  if ( !is_null($strClassName) ) echo '<p class="',$strClassName,'">',$this->name,'</p>';
  if ( !is_null($strClassDesc) ) echo '<p class="',$strClassDesc,'">',$this->descr,'</p>';
  echo '</td></tr></table>',N;

  echo '<!-- end section description -->',N;
}

// --------

function ChangeOption($strKey='',$strValue='')
{
  DieArg( 'cSection->ChangeOption',array($strKey,$strValue) );
  if ( $strKey==='' ) die ('cSection->ChangeOption: Missing key'); // $strValue can be ''

  // Execute
  
  $arr = ReadValues($this->options);
  $arr[$strKey] = $strValue;
  $str = '';
  foreach($arr as $strKey=>$strValue) $str .= (empty($str) ? '' : ';').$strKey.'='.$strValue;
  $this->options = $str;

  global $oDB;
  $oDB->Query('UPDATE '.TABSECTION.' SET options="'.$this->options.'" WHERE id='.$this->id);

  // Refresh
  
  $this->ReadOptions();
}

// --------

function ReadOptions()
{
  $arr = ReadValues($this->options);
  if ( isset($arr['order']) ) $this->d_order = $arr['order'];
  if ( isset($arr['logo']) ) $this->d_logo = $arr['logo']; 
}

// --------

function ReadStats()
{
  $arr = ReadValues($this->stats);
  if ( isset($arr['members']) ) $this->members = intval($arr['members']);
  if ( isset($arr['membersZ']) ) $this->membersZ = intval($arr['membersZ']);
}

// --------

}

?>