<?php

// QuickTeam 2.2 build:20090726

class cFLD
{

var $id = '';     // field key (can be "emails_i")
var $uid = '';    // field source ("emails")
var $on = false;  // is the field source active (admin field settings)
var $sort = false;// default sort order (ASC,DESC,FALSE)
var $name = '';   // field translation
var $format = ''; // field format
var $desc = '';   // description (is used to store style/class info)
function cFLD($id)
{
  $this->id = $id;
  $this->uid = ( substr($id,-2,2)=='_i' ? substr($id,0,-2) : $id );
  $this->on = in_array($this->uid,explode(',',$_SESSION[QT]['fields_c'].','.$_SESSION[QT]['fields_u'].','.$_SESSION[QT]['fields_t'].',coord'));
  if ( $this->on )
  {
  $this->name = ObjTrans('field',$this->uid);
  $this->format = ObjTrans('ffield',$this->uid,'');
  }
}

}

// ----------------

class cSYS
{

// -- Properties --

var $sections = array(); // list of sectionstitles (translated) visible for the current user ($oVIP->role)
var $types = array();    // list of types
var $statuses = array(); // list of statuses
var $members = 0;      // count members
var $states = array();   // other info

var $output = 'screen'; // output media (screen,print)

// -- Constructor --

function cSYS()
{
  // Construct if not yet registered

  if ( !isset($_SESSION[QT]['sys_sections']) ) $_SESSION[QT]['sys_sections'] = $this->GetSections();
  if ( !isset($_SESSION[QT]['sys_statuses']) ) $_SESSION[QT]['sys_statuses'] = $this->GetStatuses();  
  if ( !isset($_SESSION[QT]['sys_members']) ) $_SESSION[QT]['sys_members'] = $this->SysCount('members');
  if ( !isset($_SESSION[QT]['sys_states']) ) $_SESSION[QT]['sys_states'] = $this->SysCount('states');

  // Exit

  $this->types = $this->GetTypes();
  $this->sections = $_SESSION[QT]['sys_sections'];
  $this->statuses = $_SESSION[QT]['sys_statuses'];
  $this->members = $_SESSION[QT]['sys_members'];
  $this->states = $_SESSION[QT]['sys_states'];
}

// --------

function SysCount($strObject='members')
{
  // Check
  
  if ( !is_string($strObject) ) die('SysCount: Invalid argument type (expect string)');

  // Process
  
  global $oDB;
  switch($strObject)
  {
  case 'members':
    $oDB->Query('SELECT count(*) as countid FROM '.TABUSER);
    $row = $oDB->Getrow();
    return intval($row['countid']);
    break;
  case 'states':
    $arr = array();
      $oDB->Query('SELECT max(id) as countid FROM '.TABUSER);
      $row = $oDB->Getrow();
    $arr['newuserid'] = intval($row['countid']);
      $oDB->Query('SELECT username,firstname,lastname FROM '.TABUSER.' WHERE id='.$row['countid'] );
      $row = $oDB->Getrow();
    $arr['newusername'] =  $row['firstname'].' '.$row['lastname']; if ( strlen($arr['newusername'])<3 ) $arr['newusername'] = $row['username'];
    return $arr;
    break;
  }
}

// --------

function GetSections($intDom=-1)
{
  // Process

  $arr = array();
  global $oDB,$oVIP;
  if ( $oVIP->IsStaff() ) { $strWhere='type<>"X"'; } else { $strWhere='type<>"1"'; }
  if ( $intDom>=0 ) $strWhere .= ' AND domainid='.$intDom;

  // Search translations
  
  $arrL = cLang::GetName('sec',$_SESSION[QT]['lang_iso'],'*');
  
  // Get sections from DB

  $oDB->Query( 'SELECT id,title FROM '.TABSECTION.' WHERE '.$strWhere.' ORDER BY vorder' );
  while ( $row = $oDB->Getrow() )
  {
    $id = intval($row['id']);
    $arr[$id] = stripslashes($row['title']);
    if ( array_key_exists('s'.$id,$arrL) ) {
    if ( !empty($arrL['s'.$id]) ) {
      $arr[$id] = $arrL['s'.$id];
    }}
    if ( QTE_SHOW_DOMAIN ) $arr[$id] = ObjTrans('domain','d'.$id,'Domain &nbsp;'.$id).': '.$arr[$id];
  }

  return $arr;
}

// --------

function GetStatuses()
{
  $arr = array();

  global $oDB;  $oDB->Query( 'SELECT * FROM '.TABSTATUS.' ORDER BY id' );
  while($row=$oDB->Getrow())
  {
    $arr[$row['id']]['statusname'] = ucfirst(str_replace('_',' ',$row['name']));
    $arr[$row['id']]['statusdesc'] = '';
    $arr[$row['id']]['name'] = $row['name'];
    $arr[$row['id']]['icon'] = $row['icon'];
    $arr[$row['id']]['color'] = $row['color'];
  }

  // find translations

  $arrL = cLang::GetName('status',$_SESSION[QT]['lang_iso'],'*');
  foreach ($arrL as $id=>$str)
  {
    if ( !empty($str) ) $arr[$id]['statusname'] = $str;
  }
  $arrL = cLang::GetName('statusdesc',$_SESSION[QT]['lang_iso'],'*');
  foreach ($arrL as $id=>$str)
  {
    if ( !empty($str) ) $arr[$id]['statusdesc'] = $str;
  }

  return $arr;
}

// --------

function StatusAdd($id='',$name='',$icon='',$color='')
{
  DieArg( 'cSYS->StatusAdd',array($id,$name,$icon,$color) );
  DieArg( 'cSYS->StatusAdd',array($id,$name),'empty' );

  // Process

  global $oDB;
  $error = '';

  $id = strtoupper(substr(trim($id),0,1));
  $name = QTconv($name,'3',QTE_CONVERT_AMP);

  // unique id and name

  $oDB->Query('SELECT count(*) AS countid FROM '.TABSTATUS.' WHERE id="'.$id.'"');
  $row=$oDB->Getrow();
  if ( $row['countid']>0 ) $error = "Status id [$id] already used";
  $oDB->Query('SELECT count(*) AS countid FROM '.TABSTATUS.' WHERE name="'.addslashes($name).'"');
  $row=$oDB->Getrow();
  if ( $row['countid']>0 ) $error = "Status name [$name] already used";

  // Save

  if ( empty($error) )
  {
    $oDB->Query('INSERT INTO '.TABSTATUS.' (id,name,color,icon) VALUES ("'.$id.'","'.addslashes($name).'","'.$color.'","'.$icon.'")');
  }
  
  // Exit
  
  if ( isset($_SESSION[QT]['sys_statuses']) ) unset($_SESSION[QT]['sys_statuses']);
  return $error;
}

// --------

function StatusDelete($id='',$to='A')
{
  DieArg( 'cSYS->StatusDelete',array($id,$to) );
  DieArg( 'cSYS->StatusDelete',array($id,$to),'empty' );
  $id = strtoupper(substr(trim($id),0,1));
  $to = strtoupper(substr(trim($to),0,1));
  if ( $id=='A' || $id=='A' ) die('cSYS->StatusDelete: Argument #1 cannot be A nor Z');
  if ( $id==$to ) die('cSYS->StatusDelete: Argument #1 equal #2');

  // Process - status id > to and delete id
  
  global $oDB;

  $oDB->Query( 'UPDATE '.TABUSER.' SET status="'.$to.'" WHERE status="'.$id.'"' );
  $oDB->Query( 'DELETE FROM '.TABSTATUS.' WHERE id="'.$id.'"' );
  $oDB->Query( 'DELETE FROM '.TABLANG.' WHERE (objtype="status" OR objtype="statusdesc") AND objid="'.$id.'"' );

  // Exit

  if ( isset($_SESSION[QT]['sys_statuses']) ) unset($_SESSION[QT]['sys_statuses']);
}

// --------

function StatusChangeId($id='',$to='')
{
  DieArg( 'cSYS->StatusChangeId',array($id,$to) );
  DieArg( 'cSYS->StatusChangeId',array($id,$to),'empty' );
  $id = strtoupper(substr(trim($id),0,1));
  $to = strtoupper(substr(trim($id),0,1));
  if ( $id=='A' || $id=='Z' ) die('cSYS->StatusChangeId: Argument #1 cannot be A nor Z');
  if ( $to=='A' || $to=='Z' ) die('cSYS->StatusChangeId: Argument #2 cannot be A nor Z');

  // Process
  
  global $oDB;
  $error = '';

  // Unique name

  if ( empty($error) )
  {
  $oDB->Query('SELECT count(*) AS countid FROM '.TABSTATUS.' WHERE status="'.$to.'"');
  $row=$oDB->Getrow();
  if ( $row['countid']>0 ) $error = "Status id [$id] already used";
  }

  // Save changes

  if ( empty($error) )
  {
  $oDB->Query('UPDATE '.TABUSER.' SET status="'.$to.'" WHERE status="'.$id.'"');
  $oDB->Query('UPDATE '.TABSTATUS.' SET id="'.$to.'" WHERE id="'.$id.'"');
  }

  // Exit
  
  if ( isset($_SESSION[QT]['sys_statuses']) ) unset($_SESSION[QT]['sys_statuses']);
  return $error;
}

// --------

function GetTypes()
{
  global $L;
  return array('H'=>array('name'=>'Human','color'=>''),'O'=>array('name'=>'Other','color'=>''));
}

// --------

}

?>