<?php

// QuickTeam 2.2 build:20090726

// --------
// HIGH LEVEL
// --------

function DieArg($str='Error',$arrArgs,$arrTypes='str')
{
  // This function allow cheching argument types: The value in $arrArgs must be of type specified in $arrTypes
  // Application stops when the value is not of the specified type.
  // Note 1: The type 'empty' means that the application stops if the value IS empty.
  // Note 2: When $arrTypes is one type, this type is converted to a list of types

  if ( !is_string($str) ) die('DieArg: Argument #1 must be a string');
  if ( !is_array($arrArgs) ) die('DieArg: Argument #2 must be an array');
  // last argument can be one string meaning: an array of n time this string is created
  if ( is_string($arrTypes) ) { $str=$arrTypes; $arrTypes=array(); foreach ($arrArgs as $a) $arrTypes[]=$str; }
  if ( !is_array($arrTypes) ) die('DieArg: Argument #3 must be an array');
  if ( count($arrTypes)!=count($arrArgs) ) die('DieArg: Argument #2 and #3 are not the same size');
  
  // Process
  
  for ($i=0;$i<count($arrArgs);$i++)  
  {
    switch($arrTypes[$i])
    {
    case 'str': if ( !is_string($arrArgs[$i]) )  die($str.': Argument #'.$i.' must be a string'); break;
    case 'int': if ( !is_integer($arrArgs[$i]) ) die($str.': Argument #'.$i.' must be an integer'); break;
    case 'arr': if ( !is_array($arrArgs[$i]) )   die($str.': Argument #'.$i.' must be an array'); break;
    case 'flo': if ( !is_float($arrArgs[$i]) )   die($str.': Argument #'.$i.' must be a float'); break;
    case 'boo': if ( !is_bool($arrArgs[$i]) )    die($str.': Argument #'.$i.' must be a boolean'); break;
    case 'empty': if ( empty($arrArgs[$i]) )     die($str.': Argument #'.$i.' is empty'); break;
    }
  }
}

// --------

function CheckDico($strVar,$bDesc=false)
{
  if ( !isset($_SESSION['L'][$strVar]) )
  {
  $_SESSION['L'][$strVar] = cLang::GetName($strVar,$_SESSION[QT]['lang_iso'],'*');
  if ( $bDesc ) $_SESSION['L'][$strVar.'desc'] = cLang::GetName($strVar.'desc',$_SESSION[QT]['lang_iso'],'*');
  }
}

// --------

function Error($i=0)
{
  include(Translate('qte_error.php'));
  if ( isset($e[$i]) ) return $e[$i];
  return 'Error '.$i;
}

// --------

function LangS($strVar,$intVar,$bInclude=true)
{
  // Returns the plural (if $intVal>1 and if the plural word exists)
  // The variable $strVar can be composed of 2 strings (comma separated): LangS['userrole,A',25] returns $L['Userroles']['A']
  // $bInclude=true will returns number + space + the word

  global $L;
  if ( !strstr($strVar,',') )
  {
    if ( !isset($L[$strVar]) ) return ($bInclude ? $intVar.' ' : '').$strVar;
    if ( $intVar>1 && isset($L[$strVar.'s']) ) return ($bInclude ? $intVar.' ' : '').$L[$strVar.'s'];
    return ($bInclude ? $intVar.' ' : '').$L[$strVar];
  }
  else
  {
    $arr = explode(',',$strVar);
    if ( !isset($L[$arr[0]][$arr[1]]) ) return ($bInclude ? $intVar.' ' : '').$strVar;
    if ( $intVar>1 && isset($L[$arr[0].'s'][$arr[1]]) ) return ($bInclude ? $intVar.' ' : '').$L[$arr[0].'s'][$arr[1]];
    return ($bInclude ? $intVar.' ' : '').$L[$arr[0]][$arr[1]];    
  }
}

// --------

function ObjTrans($strType,$strId,$bGenerate=true,$intMax=0,$strTrunc='...')
{
  // This function returns the translation of the objid
  // When translation is not defined and generate is true, returns the ucfirst(objid)
  // otherwise, returns ''
  // When $intMax>1, the text is truncated to intMax characters and the $strTrunc is added.

  $str = '';
  if ( isset($_SESSION['L'][$strType][$strId]) ) $str = $_SESSION['L'][$strType][$strId];
  if ( empty($str) && $bGenerate )
  {
    switch($strType)
    {
    case 'field': $str = ucfirst(str_replace('_',' ',$strId)); break;
    case 'ffield': $str = $bGenerate; break;
    case 'tab': $str = ucfirst(str_replace('_',' ',$strId)); break;
    case 'tabdesc': $str = $bGenerate; break;
    case 'index': $str = $_SESSION[QT]['index_name']; break;
    case 'domain': $str = $bGenerate; break;
    case 'sec': $str = $bGenerate; break;
    case 'secdesc': $str = $bGenerate; break;
    }
  }
  if ( $intMax>1 && strlen($str)>$intMax ) return substr($str,0,$intMax).$strTrunc;
  return $str;
}

// --------

function Translate($strFile)
{
  if ( file_exists($_SESSION[QT]['language'].'/'.$strFile) ) Return $_SESSION[QT]['language'].'/'.$strFile;
  Return 'language/english/'.$strFile;
}

// --------
// COMMON FUNCTIONS
// --------

function AsEmailText($str,$strId='email1',$bLink=true,$bHash=true,$arrProp=array())
{
  DieArg('AsEmailText',array($str,$strId,$bLink,$bHash,$arrProp),array('str','str','boo','boo','arr'));
  // arrProp can includes class, style, title
  if ( empty($str) ) return '';
  
  if ( $bLink )
  {
    if ( $bHash )
    {
    $arr = explode('@',$str,2);
    $strJava='<script type="text/javascript">document.getElementById("'.$strId.'").href="mailto:'.$arr[0].'"+"@"+"'.$arr[1].'";document.getElementById("'.$strId.'").innerHTML="'.$arr[0].'"+"@"+"'.$arr[1].'";</script>';
    $str = '';
    }
    return '<a id="'.$strId.'" href="mailto:'.$str.'"'.(isset($arrProp['title']) ? ' title="'.$arrProp['title'].'"' : '').(isset($arrProp['class']) ? ' class="'.$arrProp['class'].'"' : '').(isset($arrProp['style']) ? ' style="'.$arrProp['style'].'"' : '').(isset($arrProp['target']) ? ' target="'.$arrProp['target'].'"' : '').'>'.$str.'</a>'.(isset($strJava) ? $strJava: '');
  }
  else
  {
    if ( $bHash )
    {
    $arr = explode('@',$str,2);
    $strJava='<script type="text/javascript">document.getElementById("'.$strId.'").innerHTML="'.$arr[0].'"+"@"+"'.$arr[1].'";</script>';
    $str = '';
    }
    return '<span id="'.$strId.'"'.(isset($arrProp['title']) ? ' title="'.$arrProp['title'].'"' : '').(isset($arrProp['class']) ? ' class="'.$arrProp['class'].'"' : '').(isset($arrProp['style']) ? ' style="'.$arrProp['style'].'"' : '').(isset($arrProp['target']) ? ' target="'.$arrProp['target'].'"' : '').'>'.$str.'</span>'.(isset($strJava) ? $strJava: '');
  }  
}
function AsEmailImage($str,$strId='email1',$bLink=true,$bHash=true,$arrProp=array(),$qte_root='')
{
  DieArg('AsEmailImage',array($str,$strId,$bLink,$bHash,$arrProp),array('str','str','boo','boo','arr'));
  // arrProp can includes class, style, title
  if ( empty($str) ) return '';
  
  if ( $bLink )
  {
    if ( $bHash )
    {
    $arr = explode('@',$str,2);
    $strJava='<script type="text/javascript">document.getElementById("'.$strId.'").href="mailto:'.$arr[0].'"+"@"+"'.$arr[1].'";if (document.getElementById("img'.$strId.'")) document.getElementById("img'.$strId.'").title="'.$arr[0].'"+"@"+"'.$arr[1].'";</script>';
    $str = '';
    }
    return '<a id="'.$strId.'" href="mailto:'.$str.'"'.(isset($arrProp['title']) ? ' title="'.$arrProp['title'].'"' : '').(isset($arrProp['class']) ? ' class="'.$arrProp['class'].'"' : '').(isset($arrProp['style']) ? ' style="'.$arrProp['style'].'"' : '').(isset($arrProp['target']) ? ' target="'.$arrProp['target'].'"' : '').'><img id="img'.$strId.'" src="'.$qte_root.$_SESSION[QT]['skin_dir'].'/ico_user_e_1.gif" alt="email" title="'.$str.'"/></a>'.(isset($strJava) ? $strJava: '');
  }
  else
  {
    if ( $bHash )
    {
    $arr = explode('@',$str,2);
    $strJava='<script type="text/javascript">document.getElementById("'.$strId.'").href="mailto:'.$arr[0].'"+"@"+"'.$arr[1].'";if (document.getElementById("img'.$strId.'")) document.getElementById("img'.$strId.'").title="'.$arr[0].'"+"@"+"'.$arr[1].'";</script>';
    $str = '';
    }
    return '<img id="img'.$strId.'" src="'.$qte_root.$_SESSION[QT]['skin_dir'].'/ico_user_e_1.gif" alt="email" title="'.$str.'"/>';
  }  
}

// --------

function AsFormat($arr='',$strFormat='',$strSep='<br/>')
{
  if ( !is_array($arr) ) $arr = array($arr);
  if ( empty($strFormat) || $strFormat==='%s' ) return implode($strSep,$arr);

  foreach($arr as $strKey=>$strValue)
  {
  if ( $strValue==='' ) continue;
  if ( strstr($strFormat,' ; ') ) continue;
  $arr[$strKey] = sprintf($strFormat,$strValue);
  }

  return implode($strSep,$arr);
}

// --------

function AsImg($strSrc='',$strAlt='',$strTitle='',$strClass='',$strStyle='',$strHref='',$strId='')
{
  DieArg( 'AsImg',array($strSrc,$strAlt,$strClass,$strStyle,$strHref,$strId) );

  if ( empty($strSrc) ) return '';
  $strSrc = '<img'.(empty($strId) ? '' : ' id="'.$strId.'"').' src="'.$strSrc.'" alt="'.(empty($strAlt) ? '' : QTconv($strAlt)).'" title="'.(empty($strTitle) ? '' : QTconv($strTitle)).'"'.(empty($strClass) ? '' : ' class="'.$strClass.'"').(empty($strStyle) ? '' : ' style="'.$strStyle.'"').'/>';
  if ( empty($strHref) ) { return $strSrc; } else { return '<a href="'.$strHref.'">'.$strSrc.'</a>' ; }
}

// --------

function AsImgBox($strSrc='',$strClass='',$strStyle='',$strCaption='',$strHref='')
{
  DieArg( 'AsImgBox',array($strSrc,$strClass,$strStyle,$strCaption,$strHref) );

  if ( !empty($strHref) ) $strCaption = '<a href="'.$strHref.'" class="small">'.$strCaption.'</a>';
  return '<div'.(empty($strClass) ? '' : ' class="'.$strClass.'"').(empty($strStyle) ? '' : ' style="'.$strStyle.'"').'>'.$strSrc.(empty($strCaption) ? '' : '<p class="imgcaption">'.$strCaption.'</p>').'</div>';
}

// -------

function AsList($str,$bFirst=false,$strSep=' ; ')
{
  DieArg('AsList',array($str,$bFirst,$strSep),array('str','boo','str'));
  if ( strstr($str,$strSep) )
  {
    $arr = explode($strSep,$str);
    if ( $bFirst ) return array($arr[0]);
    return $arr;
  }
  return array($str);
}

// --------

function AsUrl($str,$bLink=true,$arrProp=array())
{
  DieArg('AsUrl',array($str,$bLink,$arrProp),array('str','boo','arr'));
  // arrProp can includes class, style, target, title and label
  if ( empty($str) ) return '';  
  if ( $bLink )
  {
  return '<a href="'.$str.'"'.(isset($arrProp['title']) ? ' title="'.$arrProp['title'].'"' : '').(isset($arrProp['class']) ? ' class="'.$arrProp['class'].'"' : '').(isset($arrProp['style']) ? ' style="'.$arrProp['style'].'"' : '').(isset($arrProp['target']) ? ' target="'.$arrProp['target'].'"' : '').'>'.(isset($arrProp['label']) ? $arrProp['label'] : $str).'</a>';
  }
  else
  {
  return '<span'.(isset($arrProp['title']) ? ' title="'.$arrProp['title'].'"' : '').(isset($arrProp['class']) ? ' class="'.$arrProp['class'].'"' : '').(isset($arrProp['style']) ? ' style="'.$arrProp['style'].'"' : '').(isset($arrProp['target']) ? ' target="'.$arrProp['target'].'"' : '').'>'.(isset($arrProp['label']) ? $arrProp['label'] : $str).'</span>';
  }
}

// --------

function CanPerform($strParam,$strRole='V')
{
  // valid parameter are: upload, show_calendar, show_stats
  if ( empty($strParam) || !isset($_SESSION[QT][$strParam]) ) return false;
  if ( $_SESSION[QT][$strParam]=='A' && $strRole=='A' ) return true;
  if ( $_SESSION[QT][$strParam]=='M' && ($strRole=='A' || $strRole=='M') ) return true;
  if ( $_SESSION[QT][$strParam]=='U' && $strRole!='V' ) return true;
  if ( $_SESSION[QT][$strParam]=='V' ) return true;
  return false;
}

// -------

function DropHttp($str)
{
  $str = str_replace('https://','',$str);
  return str_replace('http://','',$str);
}

// --------

function FieldQuote($strValue,$strTable,$strField)
{
  // Returns a quoted value, except for these fields:
  if ( $strTable==TABUSER && $strField=='id' ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);  
  if ( $strTable==TABDATA && $strField=='id' ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);
  if ( $strTable==TABSECTION && in_array($strField,array('id','domainid','vorder','modid')) ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);
  if ( $strTable==TABDOMAIN && in_array($strField,array('id','vorder')) ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);
  if ( $strTable==TABCHILD && $strField=='id' ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);
  if ( $strTable==TABDOC && $strField=='id' ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);
  if ( $strTable==TABINDEX && $strField=='userid' ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);
  if ( $strTable==TABS2U && in_array($strField,array('sid','userid')) ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);
  if ( $strTable==TABSTATUS && $strField=='id' ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);
  if ( empty($strValue) ) {
  if ( in_array($strField,array('birthday','docdate','eventdate','fielddate','firstdate','firstpostdate','issuedate','lastdate','lastpostdate','modifdate','statusdate','wisheddate')) ) {
    return '"0"';
  }}
  return '"'.$strValue.'"';
}

// --------
// Returns an array of [key] id, [value] title

function GetDomains()
{
  global $oDB;
  $arr = array();
  $oDB->Query( 'SELECT id,title FROM '.TABDOMAIN.' ORDER BY vorder' );
  while ( $row = $oDB->Getrow() )
  {
    $arr[$row['id']] = $row['title'];
  }
  // search translation
  $arrL = cLang::GetName('domain',$_SESSION[QT]['lang_iso'],'*');
  if ( count($arrL)>0)
  {
    foreach ($arr as $id => $str)
    {
      if ( array_key_exists('d'.$id,$arrL) )
      {
      if ( !empty($arrL['d'.$id]) ) $arr[$id]=$arrL['d'.$id];
      }
    }
  }
  return $arr;
}

// --------

function GetFields($str)
{
  if ( $str=='index_p' ) return array('username','address','phones','emails','www','title','firstname','midname','lastname','alias','birthdate','nationality','sexe','age');
  if ( $str=='index_t' ) return array('teamid1','teamid2','teamrole1','teamrole2','teamdate1','teamdate2','teamvalue1','teamvalue2','teamflag1','teamflag2','descr');
  return array();
}

// --------

function GetParam($bRegister=false,$strWhere='')
{
  DieArg( 'GetParam',array($bRegister,$strWhere),array('boo','str') );

  global $oDB;
  $arrParam = array();
  $oDB->Query('SELECT param,setting FROM '.TABSETTING.(empty($strWhere) ? '' : ' WHERE '.$strWhere));  
  while ($row = $oDB->Getrow())
  {
  $arrParam[$row['param']]=$row['setting'];
  if ( $bRegister ) $_SESSION[QT][$row['param']]=$row['setting'];
  }
  Return $arrParam;
}

// --------
// Returns an array of [key] section id, [value] section title

function GetSectionTitles($strRole='V',$intDomain=-1,$intReject=-1,$strExtra='',$bAddDomain=false)
{
  DieArg( 'GetSectionTitles',array($strRole,$intDomain,$intReject,$strExtra,$bAddDomain),array('str','int','int','str','boo') );

  if ( $intDomain>=0 ) { $strWhere = 'domainid='.$intDomain; } else { $strWhere = 'domainid>=0'; }
  if ( $strRole=='V' || $strRole=='U' ) $strWhere .= ' AND type<>"1"';
  if ( !empty($strExtra) ) $strWhere .= ' AND '.$strExtra;

  global $oDB;
  $arr = array();

  // search translation
  $arrL = cLang::GetName('sec',$_SESSION[QT]['lang_iso'],'*');

  $oDB->Query( 'SELECT id,title FROM '.TABSECTION.' WHERE '.$strWhere.' ORDER BY vorder' );
  while ( $row = $oDB->Getrow() )
  {
    $id = intval($row['id']);
    $arr[$id] = stripslashes($row['title']);
    if ( array_key_exists('s'.$id,$arrL) ) {
    if ( !empty($arrL['s'.$id]) ) {
      $arr[$id] = $arrL['s'.$id];
    }}
    if ( $bAddDomain ) $arr[$id] = ObjTrans('domain','d'.$id,'Domain &nbsp;'.$id).': '.$arr[$id];
  }

  if ( count($arr)>0 )
  {
    // reject
    if ( $intReject>=0 ) unset($arr[$intReject]);
  }
  return $arr;
}

// --------

function GetFLDs($arr,$bActive=true)
{
  // Returns an array with cFLD (from names in $arr) that are ACTIVES
  // Use $bActive=false to get all cFLD (including INACTIVES) 
  if ( is_string($arr) ) $arr = explode(';',$arr);
  if ( !is_array($arr) ) die('GetFLDs: arg #1 must be an array');
  if ( count($arr)==0 ) die('GetFLDs: arg #1 must be an array');
  $arrFLD = array();
  foreach($arr as $strKey)
  {
    $oFLD = new cFLD($strKey);
    if ( !$oFLD->on && $bActive ) continue;
    $arrFLD[$strKey]=$oFLD;
  }
  return $arrFLD;
}

// --------

function GetFLDnames($arrFLD,$bIcon=true)
{
  // Return a list of $oFLD->name. Using $bIcon: when the key ends with "_i" it adds ' icon' to the name.
  if ( !is_array($arrFLD) ) die('GetFLDnames: arg #1 must be an array');
  $arr = array();
  foreach($arrFLD as $strKey=>$oFLD)
  {
    if ( empty($oFLD->name) ) { $arr[$strKey]=$strKey; } else { $arr[$strKey]=$oFLD->name.($bIcon && substr($strKey,-2,2)=='_i' ? ' icon' : ''); }
  }
  return $arr;
}

// --------

function GetUsers($strRole='all',$intSection=-1,$bInvert=false)
{
  // Returns an array of (max 200) users id/lastname+firstname
  // number = returns 1 user [id][name]
  // 'all' = returns all users (default)
  // 'A'   = returns administrators
  // 'M'   = returns staff members (+Admin)
  // 'M-'  = returns staff members (-Admin)
  // 'U'   = returns users (-Admins -moderators)
  // $bInvert = use true to return firstname+lastname

  global $oDB;
  $intX = 200;
  if ( $intSection<0 )
  {
  $strQ = 'SELECT u.id,u.username,u.firstname,u.lastname FROM '.TABUSER.' u ';
  if ( $strRole=='all' ) $strQ .= 'WHERE u.id>0';
  if ( $strRole=='A' )   $strQ .= 'WHERE u.role="A"';
  if ( $strRole=='U' )   $strQ .= 'WHERE u.role="U"';
  if ( $strRole=='M' )   $strQ .= 'WHERE u.role="A" OR u.role="M"';
  if ( $strRole=='M-' )  $strQ .= 'WHERE u.role="M"';
  if ( $strRole=='lost' ) $strQ .= 'LEFT JOIN '.TABS2U.' l ON l.userid=u.id WHERE u.id>0 AND l.userid IS NULL';
  }
  else
  {
  $strQ = 'SELECT u.id,u.username,u.firstname,u.lastname FROM '.TABUSER.' u INNER JOIN '.TABS2U.' l ON l.userid=u.id ';
  if ( $strRole=='all' ) $strQ .= 'WHERE l.sid='.$intSection;
  if ( $strRole=='A' )   $strQ .= 'WHERE l.sid='.$intSection.' AND u.role="A"';
  if ( $strRole=='U' )   $strQ .= 'WHERE l.sid='.$intSection.' AND u.role="U"';
  if ( $strRole=='M' )   $strQ .= 'WHERE l.sid='.$intSection.' AND (u.role="M" OR u.role="A")';
  if ( $strRole=='M-' )  $strQ .= 'WHERE l.sid='.$intSection.' AND u.role="M"';
  }
  $oDB->Query( $strQ.' ORDER BY u.lastname, u.firstname' );

  $arrUsers = array();
  $i=1;
  while ($row=$oDB->Getrow())
  {
    if ( $bInvert )
    {
    $arrUsers[$row['id']] = substr($row['firstname'].' '.$row['lastname'],0,32);
    }
    else
    {
    $arrUsers[$row['id']] = substr($row['lastname'].' '.$row['firstname'],0,32);
    }
    if ( $arrUsers[$row['id']]==' ' ) $arrUsers[$row['id']]=$row['username'];
    $i++;
    if ( $i>$intX ) break;
  }
  return $arrUsers;
}

// ------------

function InvalidUpload($arrFile=array(),$strExtensions='',$strMimes='',$intSize=0,$intWidth=0,$intHeight=0)
{
   // For the uploaded document ($arrFile), this function returns (as string):
   // '' (empty string) if it matches with all conditions (see parameters)
   // An error message if not, and unlink the uploaded document.
   //
   // @$arrFile: The uploaded document ($_FILES['fieldname']).
   // @$strExtensions: List of valid extensions (as string). Empty to skip.
   // @$strMimes: List of valid mimetypes (as string). Empty to skip
   // @$intSize: Maximum file size (kb). 0 to skip.
   // @$intWidth: Maximum image width (pixels). 0 to skip.
   // @$intHeight: Maximum image width (pixels). 0 to skip.
  
  // check arguments
  if ( is_array($strExtensions) ) $strExtensions=implode(',',$strExtensions);
  if ( is_array($strMimes) ) $strMimes=implode(',',$strMimes);
  
  if ( !is_array($arrFile) ) die('CheckUpload: argument #1 must be an array');
  if ( !is_string($strExtensions) ) die('CheckUpload: argument #2 must be a string');
  if ( !is_string($strMimes) ) die('CheckUpload: argument #3 must be a string');
  if ( !is_integer($intSize) ) die('CheckUpload: argument #4 must be an integer');
  if ( !is_integer($intWidth) ) die('CheckUpload: argument #5 must be an integer');
  if ( !is_integer($intHeight) ) die('CheckUpload: argument #6 must be an integer');
  
  global $L;
  
  // check load
  
  if ( !is_uploaded_file($arrFile['tmp_name']) ) 
  {
    unlink($arrFile['tmp_name']);
    return 'You id not upload a file!';
  }

  // check size (kb)

  if ( $intSize>0 ) {
  if ( $arrFile['size'] > ($intSize*1024+16) ) {
    unlink($arrFile['tmp_name']);
    return $L['E_file_size'].' (&lt;'.$intSize.' Kb)';
  }}

  // check extension
  
  if ( !empty($strExtensions) )
  {
    $ext = substr($arrFile['name'],-4,4); if ( substr($ext,0,1)=='.' ) $ext = substr($ext,1);
    if ( strpos($strExtensions,$ext)===FALSE )
    {
    unlink($arrFile['tmp_name']);
    return 'Format ['.substr($arrFile['name'],-4,4).'] not supported... Use '.$strExtensions;
    }
  }

  // check mimetype
  
  if ( !empty($strMimes) ) {
  if ( strpos($strMimes,$arrFile['type'])===FALSE ) {
    unlink($arrFile['tmp_name']);
    return 'Format ['.$arrFile['type'].'] not supported... Use '.$strExtensions;
  }}

  // check size (pixels)

  if ( $intWidth>0 || $intHeight>0 )
  {
    $size = getimagesize($arrFile['tmp_name']);
    if ( $intWidth>0 ) {    
    if ( $size[0] > $intWidth ) {
      unlink($arrFile['tmp_name']);
      return $intWidth.'x'.$intHeight.' '.$L['E_pixels_max'];
    }}
    if ( $intHeight>0 ) {    
    if ( $size[1] > $intHeight ) {
      unlink($arrFile['tmp_name']);
      return $intWidth.'x'.$intHeight.' '.$L['E_pixels_max'];
    }}
  }
 
  return '';
}

// --------
// MakePager
// Return FALSE if pager not needed

function MakePager($uri, $count, $intPagesize=50, $currentpage=1)
{
   if ( $intPagesize<1 ) die('Invalid pagesize: ['.$intPagesize.']');
   global $L;
   $arrUri = parse_url($uri);
   $uri = $arrUri['path'];
   $arg = $arrUri['query'];
   $arg = str_replace('&amp;','&',$arg);
   $arrArg = explode('&',$arg);
   $arrNew = array();
   foreach ($arrArg as $strValue)
   {
      if ( substr($strValue,0,4)=='page' ) continue;
      $arrNew[]=$strValue;
   }
   $arg = implode('&amp;',$arrNew);
   
   $strPager = false;  
   if ( $count>($intPagesize*5) )
   {
      // firstpage
      if ( $currentpage==1 )
      {
        $firstpage = ' &laquo;';
      }
      else
      {
        $firstpage = ' <a href="'.$uri.'?'.$arg.'&amp;page=1" title="'.$L['First'].'">&laquo;</a>';
      }
      // lastpage
      $il = ceil($count/$intPagesize);
      if ( $currentpage==$il )
      {
        $lastpage = ' &raquo;';
      }
      else
      {
        $lastpage = ' <a href="'.$uri.'?'.$arg.'&amp;page='.$il.'" title="'.$L['Last'].': '.$il.'">&raquo;</a>';
      }
      // 3 pages
      if ( $currentpage==1 )
      {
         $thesepages = ' <b>'.$currentpage.'</b> <a href="'.$uri.'?'.$arg.'&amp;page='.($currentpage+1).'" title="'.$L['Next'].'">'.($currentpage+1).'</a> <a href="'.$uri.'?'.$arg.'&amp;page='.($currentpage+2).'" title="'.$L['Next'].'">'.($currentpage+2).'</a>';
      }
      elseif ( $currentpage==$il )
      {
         $thesepages = ' <a href="'.$uri.'?'.$arg.'&amp;page='.($currentpage-2).'" title="'.$L['Previous'].'">'.($currentpage-2).'</a> <a href="'.$uri.'?'.$arg.'&amp;page='.($currentpage-1).'" title="'.$L['Previous'].'">'.($currentpage-1).'</a> <b>'.$currentpage.'</b> ';
      }
      else
      {
         $thesepages = ' <a href="'.$uri.'?'.$arg.'&amp;page='.($currentpage-1).'" title="'.$L['Previous'].'">'.($currentpage-1).'</a> <b>'.$currentpage.'</b> <a href="'.$uri.'?'.$arg.'&amp;page='.($currentpage+1).'" title="'.$L['Next'].'">'.($currentpage+1).'</a>';
      }
      // finish
      $strPager .= $firstpage.$thesepages.$lastpage;
   }
   elseif ($count>$intPagesize)
   {
      for ($i=0; $i<$count; $i+=$intPagesize)
      {
        $page = $i/$intPagesize+1;
        if ( $currentpage==$page )
        {
          $strPager .= ' <b>'.$page.'</b>';
        }
        else
        {
          $strPager .= ' <a href="'.$uri.'?'.$arg.'&amp;page='.$page.'">'.$page.'</a>';
        }
      }
   }
   return $strPager;
}

// --------

function Nextid($strTable,$strField='id',$strWhere='')
{
  DieArg( 'Nextid',array($strTable,$strField,$strWhere) );
  DieArg( 'Nextid',array($strTable,$strField),array('empty','empty') );

  global $oDB;  
  $oDB->Query("SELECT max($strField)+1 as newnum FROM $strTable $strWhere");
  $row = $oDB->Getrow();
  $intId = $row['newnum'];
  if ( empty($intId) ) $intId=1;

  return intval($intId);
}

// --------

function ReadValues($str='')
{
  $arrValues = array();
  if ( empty($str) ) return $arrValues;
  $arr = explode(';',$str);
  foreach ($arr as $str)
  {
    $a = explode('=',$str);
    if ( count($a)==2 ) $arrValues[$a[0]]=$a[1];
  }
  return $arrValues;
}

// --------

function SectionCount($strObject='members',$intS)
{
  DieArg( 'SectionCount',array($strObject,$intS),array('str','int') );
  if ( $intS<0 ) die('SectionCount: Wrong argument #2 (id<0)');

  // Process

  global $oDB;
  switch($strObject)
  {
  case 'members': $oDB->Query( 'SELECT count(*) as countid FROM '.TABS2U.' WHERE sid='.$intS ); break;
  case 'membersZ': $oDB->Query( 'SELECT count(*) as countid FROM '.TABUSER.' u INNER JOIN '.TABS2U.' l ON l.userid=u.id WHERE l.sid='.$intS.' AND u.status="Z"' ); break;
  default: die('SectionCount: Wrong argument #1');
  }  
  $row = $oDB->Getrow();
  return intval($row['countid']);
}

// --------

function TableHeader($arrFLD,$intCount=0,$strUrl='',$strOrder='username',$strDir='')
{
  $img['ASC'] = ' <img class="ico i_sort" src="'.$_SESSION[QT]['skin_dir'].'/sort_asc.gif" alt="+"/>';
  $img['DESC']= ' <img class="ico i_sort" src="'.$_SESSION[QT]['skin_dir'].'/sort_desc.gif" alt="-"/>';
  
  foreach ($arrFLD as $strKey=>$oFLD)
  {
    $arrOptions = ReadValues($oFLD->desc);
    // change the text to hyperlink+image when necessary
    if ( $oFLD->sort && $intCount>2 )
    {
      if ( $strKey==$strOrder )
      {
      $str = '<a href="'.$strUrl.'&amp;order='.$oFLD->uid.'&amp;dir='.QTinvert($strDir).'"'.(isset($arrOptions['class']) ? ' class="'.$arrOptions['class'].'"' : '').'>'.$oFLD->name.'</a>'.$img[$strDir];
      }
      else
      {
      $str = '<a href="'.$strUrl.'&amp;order='.$oFLD->uid.'&amp;dir='.$oFLD->sort.'"'.(isset($arrOptions['class']) ? ' class="'.$arrOptions['class'].'"' : '').'>'.$oFLD->name.'</a>';
      }
    }
    else
    {
    $str = $oFLD->name;
    }
    echo '<td',(isset($arrOptions['class']) ? ' class="'.$arrOptions['class'].'"' : ''),(isset($arrOptions['style']) ? ' style="'.$arrOptions['class'].'"' : ''),'>',$str,'</td>',N;
  }
}

// --------

function TargetDir($strRoot='',$intId=0)
{
  // This check if a directory/subdirectory is available for an Id
  // Returns dir/subdir (without the root)
  // Returns '' if not available

  $strDir = '';
  $intDir = ($intId>0 ? floor($intId/1000) : 0);
  if ( is_dir($strRoot.strval($intDir).'000') )
  {
    $strDir = strval($intDir).'000/';    
    $intSDir = $intId-($intDir*1000);
    $intSDir = ($intSDir>0 ? floor($intSDir/100) : 0);
    if ( is_dir($strRoot.$strDir.strval($intDir).strval($intSDir).'00') ) $strDir .= strval($intDir).strval($intSDir).'00/';
  }
  return $strDir;
}

// --------

function UpdateSectionStats($intS=-1,$arrValues=array())
{
  // Check

  if ( $intS<0 ) die('UpdateSectionStats: Wrong id');  

  // Process (provided values are not recomputed)
  
  if ( !isset($arrValues['members']) )  $arrValues['members']  = SectionCount('members',$intS);
  if ( !isset($arrValues['membersZ']) ) $arrValues['membersZ'] = SectionCount('membersZ',$intS);
  foreach($arrValues as $strKey=>$strValue) { $arrValues[$strKey]=$strKey.'='.$strValue; }
  
  // Save
  
  global $oDB;
  $oDB->Query( 'UPDATE '.TABSECTION.' SET stats="'.implode(';',$arrValues).'" WHERE id='.$intS );
  
  // Return the stat line
  
  return implode(';',$arrValues);
}

// --------

function UseModule($strName)
{
  DieArg( 'UseModule',array($strName) );
  if ( isset($_SESSION[QT]['module_'.$strName]) ) return TRUE;
  return FALSE;  
}

?>
