<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Adressbook
 * @package    QuickTeam
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090726
 * @link       http://www.qt-cute/doc/package/qte
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qte_init.php');
if ( !$oVIP->CanView('V2') ) die(Error(11));

$s = -1;
if ( isset($_GET['s']) ) $s = intval(strip_tags($_GET['s']));
if ( isset($_POST['s']) ) $s = intval(strip_tags($_POST['s']));
if ( $s<0 )  die('Missing team id...');

// ---------
// SUBMITTED
// ---------

if ( isset($_POST['Maction']) )
{
  if ( $_POST['Maction']=='add' )
  {
    if ( headers_sent() )
    {
    echo '<a href="qte_adm_users_move.php?s=',$s,'">',$L['User_man'],'</a><meta http-equiv="REFRESH" content="0;url=qte_adm_users_move.php?s=',$s,'">';
    }
    else
    {
    header('Location: qte_adm_users_move.php?s='.$s);
    }
    exit;
  }
  if ( $_POST['Maction']=='new' )
  {
    if ( headers_sent() )
    {
    echo '<a href="qte_adm_users.php?s=',$s,'">',$L['User_add'],'</a><meta http-equiv="REFRESH" content="0;url=qte_adm_users.php?s=',$s,'">';
    }
    else
    {
    header('Location: qte_adm_users.php?s='.$s);
    }
    exit;
  }
  if ( $_POST['Maction']=='email' )
  {
    if ( headers_sent() )
    {
    echo '<a href="qte_email.php?s=',$s,'">',$L['User_man'],'</a><meta http-equiv="REFRESH" content="0;url=qte_email.php?s=',$s,'">';
    }
    else
    {
    header('Location: qte_email.php?s='.$s);
    }
    exit;
  }
  if ( $_POST['Maction']=='show_Z' ) $_SESSION[QT]['show_Z']='1';
  if ( $_POST['Maction']=='hide_Z' ) $_SESSION[QT]['show_Z']='0';
  if ( isset($_POST['infofield']) )
  {
    $_SESSION[QT]['infofield']=$_POST['infofield']; // can be ""
  }
}

// ---------
// INITIALISE
// ---------

$strGroup = 'all';
$strOrder = 'lastname';
$strDirec = 'ASC';
$intLimit = 0;
$intPage  = 1;

// security check 1
if ( isset($_GET['group']) ) $strGroup = strip_tags($_GET['group']);
if ( isset($_GET['order']) ) $strOrder = strip_tags($_GET['order']);
if ( isset($_GET['dir']) ) $strDirec = strip_tags($_GET['dir']);
if ( isset($_GET['page']) ) $intPage = intval(strip_tags($_GET['page']));
if ( isset($_GET['view']) ) $_SESSION[QT]['viewmode'] = strip_tags($_GET['view']);

// security check 2 (no long argument)
if ( strlen($strGroup)>4 ) die('Invalid argument #group');
if ( strlen($strOrder)>12 ) die('Invalid argument #order');
if ( strlen($strDirec)>4 ) die('Invalid argument #dir');

$intLimit = ($intPage-1)*$_SESSION[QT]['items_per_page'];

$_SESSION[QT]['section']= $s;

include('bin/qte_fn_sql.php');

$oSEC = new cSection($s);

if ( $oSEC->type==1 && !$oVIP->IsStaff() )
{
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',ObjTrans('index','i',$_SESSION[QT]['index_name']));
  $oVIP->EndMessage(NULL,$L['R_staff'],$_SESSION[QT]['skin_dir'],0);
}
if ( $oSEC->type==2 && $oVIP->role=='V' )
{
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',ObjTrans('index','i',$_SESSION[QT]['index_name']));
  $oVIP->EndMessage(NULL,$L['R_user'],$_SESSION[QT]['skin_dir'],0);
}

$oVIP->selfurl = 'qte_member.php';
$oVIP->selfname = $L['Section'].': '.$oSEC->name;

$strShowZ = ''; if ( !$_SESSION[QT]['show_Z'] ) $strShowZ = ' AND u.status<>"Z"';

// COUNT Members

$strWhereGroup = '';
Switch ($strGroup)
{
  Case 'all': $strWhereGroup .= ' AND u.id>0'; Break;
  Case '0':   $strWhereGroup .= ' AND '.FirstCharCase('u.lastname','a-z'); Break;
  Default:    $strWhereGroup .= ' AND '.FirstCharCase('u.lastname','u').'="'.$strGroup.'"'; Break;
}
$oDB->Query('SELECT count(*) as countid FROM '.TABUSER.' u INNER JOIN '.TABS2U.' l ON l.userid=u.id WHERE l.sid='.$oSEC->id.$strShowZ.$strWhereGroup);
$row = $oDB->Getrow();
$intCount = $row['countid'];

// --------
// Letters bar
// --------

if ( $intCount>$_SESSION[QT]['items_per_page'] || isset($_GET['group']) ) $strGroups = HtmlLettres($strGroup,$s,$L['All']);

// --------
// Pager
// --------

$strPager = MakePager("$oVIP->selfurl?s={$oSEC->id}&group=$strGroup",$intCount,$_SESSION[QT]['items_per_page'],$intPage); 
if ( $strPager!='' ) { $strPager = $L['Page'].$strPager; } else { $strPager=S; }
if ( $intCount<$oSEC->members ) $strPager = '<span class="small">'.$intCount.' '.$L['Selected_from'].' '.$oSEC->members.' '.strtolower($L['Users']).'</span>'.($strPager==S ? '' : ' | '.$strPager);

// MAP MODULE

if ( UseModule('map') ) { $strCheck=$s; include('qtem_map_ini.php'); } else { $bMap=false; }

// --------
// HTML START
// --------

include('qte_p_header.php');

  // Staff Actions
  if ( $oVIP->IsStaff() )
  {
    // get the usable field list
    $arr = GetFLDnames(GetFLDs('status_i;fullname'));
    $arr['-'] = '--------';
    $arr = $arr + GetFLDnames(GetFLDs('title;firstname;midname;lastname;alias;picture;address;phones;emails;www;birthdate;nationality;sexe'));
    $arr['--'] = '--------';
    $arr = $arr + GetFLDnames(GetFLDs('teamid1;teamid2;teamrole1;teamrole2;teamdate1;teamdate2;teamvalue1;teamvalue2;teamflag1;teamflag2;descr'));
    $arr['---'] = '--------';
    $arr = $arr + GetFLDnames(GetFLDs('id;username;role;status;children;firstdate'));
    // get current infofield (if exist)
    $strCurrentInfofield=''; if ( isset($_SESSION[QT]['infofield']) ) $strCurrentInfofield=$_SESSION[QT]['infofield'];
    // build listing and disabled used fields
    $str = QTasOption($arr,$strCurrentInfofield);
    $str = str_replace('-">','-" disabled="disabled">',$str);
    // disble already used
    $arrUsed = GetFLDnames(GetFLDs($oSEC->forder));
    foreach ($arrUsed as $strKey=>$strField)
    {
    if ( strstr($str,'value="'.$strKey.'">') ) $str = str_replace('value="'.$strKey.'">','value="'.$strKey.'" disabled="disabled">',$str);
    }
    echo '
    <form method="post" action="',$oVIP->selfurl,'" id="modaction">
    <div class="modboard">
    <span class="modboard">',$L['Userrole'][$oVIP->role],' 
    <select name="Maction" class="small" onchange="',"document.getElementById('modaction').submit();",'">
    <option value="">',S,'</option>
    <optgroup label="Action">
    ';
    if ( $oSEC->status==1 && $oVIP->role=='M' ) 
    {
    echo '<option value="add" disabled="disabled">',$L['User_man'],'...</option>',N;
    }
    else
    {
    echo '<option value="add">',$L['User_man'],'...</option>',N;
    }
    if ( $oVIP->role=='A' ) echo '<option value="new">',$L['User_add'],'...</option>';
    echo '
    <option value="email">',$L['Emails'],'...</option>
    </optgroup>
    <optgroup label="Option">
    <option value="show_Z"',($_SESSION[QT]['show_Z'] ? ' class="bold"' : ''),'>',$L['Show'],': ',$oSYS->statuses['Z']['statusname'],'</option>
    <option value="hide_Z"',(!$_SESSION[QT]['show_Z'] ? ' class="bold"' : ''),'>',$L['Hide'],': ',$oSYS->statuses['Z']['statusname'],'</option>
    </optgroup>
    </select> ',$L['Last_column'],S;
    echo '<select id="infofield" name="infofield" class="small" onchange="',"document.getElementById('modaction').submit();",'">';
    echo '<option value="">',S,'</option>';
    echo $str;
    if ( $bMap ) echo '<option value="coord">',$L['Coord'],'</option>';
    echo '</select><input type="submit" name="Mok" value="',$L['Ok'],'" class="small" id="action_ok"/>
    <input type="hidden" name="s" value="',$oSEC->id,'"/>
    <script type="text/javascript">document.getElementById("action_ok").style.visibility="hidden";document.getElementById("action_ok").value="";</script>
    </span>
    </div>
    </form>',N;
  }
  // End staff Actions

// Display description

if ( $_SESSION[QT]['section_descr']=='1' )
{
  $oSEC->descr .= (empty($oSEC->descr) ? '' : '<br/>').'<span class="small">('.LangS('User',$oSEC->members).')</span>';
  $oSEC->ShowInfo('si_t','si_t','si_t_desc','left');
}

// Display letters bar

if ( $intCount>$_SESSION[QT]['items_per_page'] || isset($_GET['group']) ) echo '<table class="lettres" cellspacing="0"><tr class="lettres">',N,$strGroups,N,'</tr></table>',N;

// Display no member

if ( $intCount==0 )
{
  echo '<p>',$L['E_no_member'],'</p>';
  if ( $oSEC->members>0 && $oVIP->IsStaff() && !empty($strShowZ) )
  {
    $oDB->Query( 'SELECT count(*) as countid FROM '.TABUSER.' u INNER JOIN '.TABS2U.' l ON l.userid=u.id WHERE l.sid='.$oSEC->id.' AND u.status="Z"' );
    $row = $oDB->Getrow();
    $i = intval($row);
    if ( $i>0 ) echo '<p class="disabled">',$L['Hidden'],': ',strtolower(LangS('User',$i).' ('.$L['Status'].' '.$oSYS->statuses['Z']['statusname']),')</p>';
  }
  include('qte_p_footer.php');
  exit;
}

// Display top pager

if ( $strPager )
{
echo '
<table class="hidden" cellspacing="0"><tr class="hidden"><td id="pager_zt">',$strPager,'</td></tr></table>
';}
else
{
echo '<br/>',N;
}

// --------
// Prepare fields
// --------

$arrFLD = GetFLDs($oSEC->forder.(!empty($_SESSION[QT]['infofield']) ? ';'.$_SESSION[QT]['infofield'] : ''));

// check current order (if using default)

if ( !array_key_exists($strOrder,$arrFLD) )
{
  $strOrder='fullname'; if ( !array_key_exists($strOrder,$arrFLD) ) $strOrder='username';
}

// Fields exception

$i=0;
foreach($arrFLD as $strKey=>$oFLD)
{
  $i++;
  // extraclass
  $str = '';
  if ( $i==1 ) $str=' th_t_first';
  if ( $i==count($arrFLD) ) $str=' th_t_last';

  // define the fields 
  switch ($strKey)
  {
  case 'status_i': $oFLD->sort='ASC'; $oFLD->desc='class=th_t th_t_'.$strKey.$str; $oFLD->name=' &bull; '; break;
  case 'address':  $oFLD->sort=false; $oFLD->desc='class=th_t th_t_'.$strKey.$str; break;
  case 'descr':    $oFLD->sort=false; $oFLD->desc='class=th_t th_t_'.$strKey.$str; break;
  case 'picture':  $oFLD->sort=false; $oFLD->desc='class=th_t th_t_'.$strKey.$str; break;
  case 'phones':   $oFLD->sort=false; $oFLD->desc='class=th_t th_t_'.$strKey.$str; break;
  case 'age':      $oFLD->sort='DESC';$oFLD->desc='class=th_t th_t_'.$strKey.$str; break;
  case 'emails':   $oFLD->sort=false; $oFLD->desc='class=th_t th_t_'.$strKey.$str; break;
  case 'emails_i': $oFLD->sort=false; $oFLD->desc='class=th_t th_t_'.$strKey.$str; break;
  case 'coord':    $oFLD->sort=false; $oFLD->desc='class=th_t th_t_'.$strKey.$str; $oFLD->name=$L['Coord']; break;
  default:         $oFLD->sort='ASC'; $oFLD->desc='class=th_t th_t_'.$strKey.$str; break;
  }
  $arrFLD[$strKey]=$oFLD;
}

$bLink = true;
if ( isset($qte_web_link) ) {
if ( !$qte_web_link ) {
  $bLink = false;
}}

// --------
// Display members
// --------

echo '<table class="data_t" cellspacing="0">',N;
echo '<tr class="data_t">',N;

// ========
TableHeader($arrFLD,$intCount,"$oVIP->selfurl?s=$s&amp;page=1",$strOrder,$strDirec);
// ========

echo '</tr>',N;

foreach($arrFLD as $strKey=>$oFLD) if ( !empty($oFLD->desc) ) { $oFLD->desc = str_replace('th_','td_',$oFLD->desc); $arrFLD[$strKey]=$oFLD; }
// ========
$strState = 'u.* FROM '.TABUSER.' u INNER JOIN '.TABS2U.' l ON l.userid=u.id WHERE l.sid='.$oSEC->id.$strShowZ.$strWhereGroup;
if ( substr($strOrder,0,2)!='u.' ) $strOrder = 'u.'.$strOrder;
if ( $strOrder=='u.fullname' ) $strOrder = 'u.lastname';
if ( $strOrder=='u.status_i' ) $strOrder = 'u.status, u.lastname';
$oDB->Query( LimitSQL($strState,$strOrder.' '.$strDirec,$intLimit,$_SESSION[QT]['items_per_page'],$intCount) );
TableRows($s,$arrFLD,$bLink,$bMap,$qte_root,$_SESSION[QT]['skin_dir']);
// ========

echo '<tr class="data_t">',N;
echo '<td class="tf_t tf_t_first"></td>',N;
For ($i=0;$i<(count($arrFLD)-2);$i++)
{
echo '<td class="tf_t"></td>',N;
}
echo '<td class="tf_t tf_t_last"></td>
</tr>
</table>
';

// --------
// Display bottom pager
// --------

// define csv options according to $intCount (max 10000)

$strCsv ='';
if ( $oVIP->role!='V' )
{
  if ( $intCount<=$_SESSION[QT]['items_per_page'] )
  {
  $strCsv = '<a href="qte_member_csv.php?s='.$s.'&amp;size=all&amp;n='.$intCount.'" class="csv">csv</a>';
  }
  else
  {
  $strCsv = '<a href="qte_member_csv.php?s='.$s.'&amp;size=p'.$intPage.'&amp;n='.$intCount.'" class="csv">csv <span class="small">('.strtolower($L['Page']).')</span></a>';
  if ( $intCount<=1000 )                   $strCsv .= ' &middot; <a href="qte_member_csv.php?s='.$s.'&amp;size=all&amp;n='.$intCount.'" class="csv">csv <span class="small">('.strtolower($L['All']).')</span></a>';
  if ( $intCount>1000 && $intCount<=2000 ) $strCsv .= ' &middot; <a href="qte_member_csv.php?s='.$s.'&amp;size=m1&amp;n='.$intCount.'" class="csv">csv <span class="small">(1-1000)</span></a> &middot; <a href="qte_member_csv.php?s='.$s.'&amp;size=m2&amp;n='.$intCount.'" class="csv">csv <span class="small">(1000-'.$intCount.')</span></a>';
  if ( $intCount>2000 && $intCount<=5000 ) $strCsv .= ' &middot; <a href="qte_member_csv.php?s='.$s.'&amp;size=m5&amp;n='.$intCount.'" class="csv">csv <span class="small">(1-5000)</span></a>';
  if ( $intCount>5000 )                    $strCsv .= ' &middot; <a href="qte_member_csv.php?s='.$s.'&amp;m=5&amp;n='.$intCount.'" class="csv">csv <span class="small">(1-5000)</span></a> &middot; <a href="qte_member_csv.php?s='.$s.'&amp;m=10&amp;n='.$intCount.'" class="csv">csv <span class="small">(5000-10000)</span></a>';
  }
}
if ( !empty($strCsv) )
{
  $strPager = $strCsv.( $strPager==S || empty($strPager) ? '' : ' &middot; '.$strPager );
}

if ( !empty($strPager) && $strPager!=S )
{
echo '
<table class="hidden" cellspacing="0"><tr class="hidden"><td id="pager_zb">',$strPager,'</td></tr></table>
';
}

// --------
// Map module
// --------

if ( $bMap )
{
  echo '<!-- Map module -->',N;
  if ( count($arrExtData)>0 )
  {
    $strMapHelp = sprintf($L['map']['items'],count($arrExtData),strtolower(LangS('User',$oSEC->members)) );
    echo '<table class="hidden" style="margin-top:5px;">',N;
    echo '<tr class="hidden">',N;
    echo '<td class="gmap">',N;
    if ( !$_SESSION[QT]['m_map_hidelist'] )
    {
    echo QTgmapZoomControl($arrExtData);
    echo '<div id="map_canvas" style="width:100%; height:',($_SESSION[QT]['viewmode']=='C' ? '350' : '400'),'px;"></div>',N;
    }
    if ( !empty($strMapHelp) ) echo '<p class="gmap" style="margin:4px 0 0 0">'.$strMapHelp.'</span>';
    echo '</td>',N;
    echo '</tr>',N;
    echo '</table>',N;

    // Show/Hide

    if ( $_SESSION[QT]['m_map_hidelist'] )
    {
    echo '<p style="margin:2px"><a href="',$oVIP->selfurl,'?s=',$s,'&amp;showmap">',$L['map']['Show_map'],'</a></p>';
    }
    else
    {
    echo '<p style="margin:2px"><a href="',$oVIP->selfurl,'?s=',$s,'&amp;hidemap">',$L['map']['Hide_map'],'</a></p>';
    }
  }
  else
  {
    echo '<p class="gmap">'.$L['map']['E_noposition'].'</p>',N;
  }
  echo '<!-- Map module end -->',N;
}

// --------
// HTML END
// --------

// MAP MODULE

if ( $bMap )
{
  if ( count($arrExtData)>0 )
  {
  if ( count($arrExtData)>1 && isset($_SESSION[QT]['m_map'][$s]['zoom']) ) $bZoomAll=($_SESSION[QT]['m_map'][$s]['zoom']=='1' ? true : false);
  include('qtem_map_load.php');
  }
  else
  {
  echo '<script type="text/javascript">function GUnload() { return true; }</script>';
  }
}

include('qte_p_footer.php');

?>