<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Adressbook
 * @package    QuickTeam
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090726
 * @link       http://www.qt-cute/doc/package/qte
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qte_init.php');
$oSYS->output='print';
if ( !$oVIP->CanView('V2') ) die(Error(11));

// ---------
// INITIALISE
// ---------

$s = -1;
if ( isset($_GET['s']) ) $s = intval(strip_tags($_GET['s']));
if ( isset($_POST['s']) ) $s = intval(strip_tags($_POST['s']));
if ( $s<0 )  die('Missing team id...');

$strGroup = 'all';
$strOrder = 'lastname';
$strDirec = 'ASC';
$intLimit = 0;
$intPage  = 1;

// security check 1
if ( isset($_GET['group']) ) $strGroup = strip_tags($_GET['group']);
if ( isset($_GET['order']) ) $strOrder = strip_tags($_GET['order']);
if ( isset($_GET['dir']) ) $strDirec = strip_tags($_GET['dir']);
if ( isset($_GET['page']) ) $intPage = intval(strip_tags($_GET['page']));
if ( isset($_GET['view']) ) $_SESSION[QT]['viewmode'] = strip_tags($_GET['view']);

// security check 2 (no long argument)
if ( strlen($strGroup)>4 ) die('Invalid argument #group');
if ( strlen($strOrder)>12 ) die('Invalid argument #order');
if ( strlen($strDirec)>4 ) die('Invalid argument #dir');

$intLimit = ($intPage-1)*$_SESSION[QT]['items_per_page'];

$_SESSION[QT]['section']= $s;

include('bin/qte_fn_sql.php');

$oSEC = new cSection($s);

if ( $oSEC->type==1 && !$oVIP->IsStaff() )
{
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_staff'],$_SESSION[QT]['skin_dir'],0);
}
if ( $oSEC->type==2 && $oVIP->role=='V' )
{
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_user'],$_SESSION[QT]['skin_dir'],0);
}

$oVIP->selfurl = 'qte_member_prt.php';
$oVIP->selfname = $L['Section'].': '.$oSEC->name;

$strShowZ   = ''; if ( !$_SESSION[QT]['show_Z'] ) $strShowZ = ' AND u.status<>"Z"';

// COUNT Members

$strWhereGroup = '';
Switch ($strGroup)
{
  Case 'all': $strWhereGroup .= ' AND u.id>0'; Break;
  Case '0':   $strWhereGroup .= ' AND '.FirstCharCase('u.lastname','a-z'); Break;
  Default:    $strWhereGroup .= ' AND '.FirstCharCase('u.lastname','u').'="'.$strGroup.'"'; Break;
}
$oDB->Query('SELECT count(*) as countid FROM '.TABUSER.' u INNER JOIN '.TABS2U.' l ON l.userid=u.id WHERE l.sid='.$oSEC->id.$strShowZ.$strWhereGroup);
$row = $oDB->Getrow();
$intCount = $row['countid'];

// LETTRES BAR [$strGroups]

if ( $intCount>$_SESSION[QT]['items_per_page'] || isset($_GET['group']) ) $strGroups = HtmlLettres($strGroup,$s,$L['All']);

// --------
// Pager
// --------

$strPager = MakePager("$oVIP->selfurl?s={$oSEC->id}&group=$strGroup",$intCount,$_SESSION[QT]['items_per_page'],$intPage); 
if ( !empty($strPager) ) { $strPager = $L['Page'].$strPager; } else { $strPager=S; }
if ( $intCount<$oSEC->members ) $strPager = '<span class="small">'.$intCount.' '.$L['Selected_from'].' '.$oSEC->members.' '.strtolower($L['Users']).'</span>'.($strPager==S ? '' : ' | '.$strPager);

// MAP MODULE

if ( UseModule('map') ) { $strCheck=$s; include('qtem_map_ini.php'); } else { $bMap=false; }

// --------
// HTML START
// --------

include('qte_p_header.php');

// Display description

if ( $_SESSION[QT]['section_descr']=='1' )
{
  $oSEC->descr .= (empty($oSEC->descr) ? '' : '<br/>').'<span class="small">('.LangS('User',$oSEC->members).')</span>';
  $oSEC->ShowInfo('si_t','si_t','si_t_desc','left');
}

// Display letters bar

if ( $intCount>$_SESSION[QT]['items_per_page'] || isset($_GET['group']) ) echo '<table class="lettres" cellspacing="0"><tr class="lettres">',N,$strGroups,N,'</tr></table>',N;

// Display no member

if ( $intCount==0 )
{
  echo '<br/>',$L['E_no_member'],'<br/><br/>';
  echo '
  <!-- COPYRIGHT LINE -->
  <div class="footer">
  <table class="hidden">
  <tr class="hidden">
  <td class="hidden" id="footer_zl"> </td>
  <td class="hidden" id="footer_zr">powered by <a href="http://www.qt-cute.org" class="footer_copy">QT-cute</a> v',QTEVERSION,'</td>
  </tr>
  </table>
  </div>
  <!-- END COPYRIGHT LINE -->

  </body>
  </html>';
  exit;
}

// PAGER

if ( $strPager )
{
echo '
<table class="hidden" cellspacing="0"><tr class="hidden"><td id="pager_zt">',$strPager,'</td></tr></table>
';}

// Prepare fields

$arrFLD = GetFLDs($oSEC->forder.(!empty($_SESSION[QT]['infofield']) ? ';'.$_SESSION[QT]['infofield'] : ''));

// check current order (if using default)

if ( !array_key_exists($strOrder,$arrFLD) )
{
  $strOrder='fullname'; if ( !array_key_exists($strOrder,$arrFLD) ) $strOrder='username';
}

// Fields exception

$i=0;
foreach($arrFLD as $strKey=>$oFLD)
{
  $i++;
  // extraclass
  $str = '';
  if ( $i==1 ) $str=' th_t_first';
  if ( $i==count($arrFLD) ) $str=' th_t_last';

  // define the fields 
  switch ($strKey)
  {
  case 'status_i': $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; $oFLD->name=' &bull; '; break;
  case 'address':  $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; break;
  case 'descr':    $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; break;
  case 'picture':  $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; break;
  case 'phones':   $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; break;
  case 'age':      $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; break;
  case 'emails':   $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; break;
  case 'emails_i': $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; break;
  case 'coord':    $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; $oFLD->name=$L['Coord']; break;
  default:         $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; break;
  }
  $arrFLD[$strKey]=$oFLD;
}

// MEMBERS

echo '<table class="data_t" cellspacing="0">',N;
echo '<tr class="data_t">',N;

// ========
TableHeader($arrFLD,$intCount,"$oVIP->selfurl?s=$s&amp;page=1",$strOrder,$strDirec);
// ========

echo '</tr>',N;

foreach($arrFLD as $strKey=>$oFLD) if ( !empty($oFLD->desc) ) { $oFLD->desc = str_replace('th_','td_',$oFLD->desc); $arrFLD[$strKey]=$oFLD; }
// ========
$strState = 'u.* FROM '.TABUSER.' u INNER JOIN '.TABS2U.' l ON l.userid=u.id WHERE l.sid='.$oSEC->id.$strShowZ.$strWhereGroup;
if ( $strOrder=='fullname' ) $strOrder='lastname';
$oDB->Query( LimitSQL($strState,$strOrder.' '.$strDirec,$intLimit,$_SESSION[QT]['items_per_page'],$intCount) );
TableRows($s,$arrFLD,false,$bMap,$qte_root,$_SESSION[QT]['skin_dir']);
// ========

echo '
</table>
';

// PAGER

if ( $strPager )
{
echo '
<table class="hidden" cellspacing="0"><tr class="hidden"><td id="pager_zb">',$strPager,'</td></tr></table>
';
}
// MAP MODULE

if ( $bMap )
{
if ( count($arrExtData)==0 )
{
echo '
<p class="gmap">',$L['map']['E_noposition'],'</p>
';
}
else
{
echo '
<div class="gmap" style="margin-top:5px;width:600px;">',QTgmapZoomControl($arrExtData),'
<div id="map_canvas" style="width:100%; height:',(count($arrExtData)>2 ? '410' : '360'),'px"></div>
<p class="gmap" style="margin:4px 0 0 0">',sprintf( $L['map']['items'],count($arrExtData),strtolower(LangS('Topic',$oSEC->members)) ),'</p>
</div>
';
}
}

// ---------
// HTML END
// ---------

// MAP MODULE

if ( $bMap )
{
  if ( count($arrExtData)>0 )
  {
  if ( count($arrExtData)>1 && isset($_SESSION[QT]['m_map'][$s]['zoom']) ) $bZoomAll=($_SESSION[QT]['m_map'][$s]['zoom']=='1' ? true : false);
  include('qtem_map_load.php');
  }
  else
  {
  echo '<script type="text/javascript">function GUnload() { return true; }</script>';
  }
}

include('qte_p_footer.php');

?>