<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Team
 * @package    QuickTeam
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090726
 * @link       http://www.qt-cute/doc/package/qte
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qte_init.php');
$oSYS->output='print';
if ( !$oVIP->CanView('V3') ) die(Error(11));
include('bin/qte_fn_sql.php');

// --------
// INITIALISE
// --------

$strOrder = 'username';
$strDirec = 'ASC';
$intPage  = 1;
$intLimit = 0;
$intCount = 0;
if ( isset($_GET['view'])) $_SESSION[QT]['viewmode'] = $_GET['view'];
$s = 'S';

$oVIP->selfurl = 'qte_result_prt.php';
$oVIP->selfname = $L['Search_result'];
$oVIP->exiturl = 'qte_search.php';
$oVIP->exitname = $L['Search'];

// MAP MODULE

if ( UseModule('map') ) { $strCheck='S'; include('qtem_map_ini.php'); }  else { $bMap=false; }

// --------
// SUBMITTED
// --------

if ( isset($_GET['title']) ) {
if ( strlen($_GET['title'])<2 ) {
  // exit
  $oVIP->exiturl = 'qte_search.php?';
  if ( isset($_GET['title']) ) $oVIP->exiturl .= '?title='.$_GET['title'];
  if ( isset($_GET['role']) ) $oVIP->exiturl .= '&amp;role='.$_GET['role'];
  if ( isset($_GET['status']) ) $oVIP->exiturl .= '&amp;status='.$_GET['status'];
  if ( isset($_GET['s']) ) $oVIP->exiturl .= '&amp;s='.$_GET['s'];
  $oVIP->EndMessage(NULL,$L['E_min_2_char'],$_SESSION[QT]['skin_dir'],2);
}}

$strInfo = '';
$strParam = '';

if ( isset($_GET['role']) )
{  
  $strSelect = '"role" as ufield,"'.$L['Userrole'][$_GET['role']].'" as ukey,u.id,u.username,u.title,u.firstname,u.midname,u.lastname,u.picture,u.status,u.phones,u.emails';
  $strFrom = TABUSER.' u';
  $strWhere = 'u.id>0 AND u.role="'.$_GET['role'].'"';
  $strInfo .= $L['Userroles'][$_GET['role']];
  $strParam .= (!empty($strParam) ? '&amp;' : '').'a=1&amp;role='.$_GET['role'];
  if ( isset($_GET['s']) )
  {  
    if ( $_GET['s']>=0 )
    {  
    $strFrom = TABUSER.' u INNER JOIN '.TABS2U.' l ON l.userid = u.id';
    $strWhere = 'u.id>0 AND l.sid='.$_GET['s'];
    $strInfo .= ' '.$L['In_section'].' "'.$oSYS->sections[$_GET['s']].'"';
    $strParam .= (!empty($strParam) ? '&amp;' : '').'s='.$_GET['s'];
    }
  }  
}
if ( isset($_GET['age_criteria']) && isset($_GET['age']) )
{  
  $strFrom = TABUSER.' u';
  $intDate = date('Ymd');
  $intDate = intval($intDate)-intval($_GET['age'].'0000');
  switch ($_GET['age_criteria'])
  {
  case 'l':
    $strSelect = '"age" as ufield,"<'.$_GET['age'].'" as ukey,u.id,u.username,u.title,u.firstname,u.midname,u.lastname,u.picture,u.status,u.phones,u.emails,u.birthdate,u.privacy,u.y,u.x';
    $strWhere = 'birthdate<>"0" AND "'.$intDate.'"<birthdate';
    $strInfo .= $L['Age'].'<'.$_GET['age'];
    break;
  case 'u':
    $strSelect = '"age" as ufield,">='.$_GET['age'].'" as ukey,u.id,u.username,u.title,u.firstname,u.midname,u.lastname,u.picture,u.status,u.phones,u.emails,u.birthdate,u.privacy,u.y,u.x';
    $strWhere = 'birthdate<>"0" AND "'.$intDate.'" >= birthdate';
    $strInfo .= $L['Age'].'>='.$_GET['age'];
    break;
  case 'e':
    $strSelect = '"age" as ufield,"= '.$_GET['age'].'" as ukey,u.id,u.username,u.title,u.firstname,u.midname,u.lastname,u.picture,u.status,u.phones,u.emails,u.birthdate,u.privacy,u.y,u.x';
    $strInfo .= $L['Age'].' = '.$_GET['age'];
    if ( $_GET['age']=="0" )
    {
    $strWhere = 'birthdate="0"';
    }
    else
    {
    $strWhere = 'birthdate<>"0" AND "'.$intDate.'">=birthdate AND "'.($intDate-10000).'"<birthdate';
    }
    break;
  }    
  $strParam .= (!empty($strParam) ? '&amp;' : '').'age_criteria='.$_GET['age_criteria'].'&amp;age='.$_GET['age'];
  if ( isset($_GET['s']) )
  {  
    if ( $_GET['s']>=0 )
    {  
    $strFrom = TABUSER.' u INNER JOIN '.TABS2U.' l ON l.userid = u.id';
    $strWhere = 'u.id>0 AND l.sid='.$_GET['s'];
    $strInfo .= ' '.$L['In_section'].' "'.$oSYS->sections[$_GET['s']].'"';
    $strParam .= (!empty($strParam) ? '&amp;' : '').'s='.$_GET['s'];
    }
  }  
}
if ( isset($_GET['status']) )
{  
  $strSelect = '"status" as ufield,"'.$oSYS->statuses[$_GET['status']].'" as ukey,u.id,u.username,u.title,u.firstname,u.midname,u.lastname,u.picture,u.status,u.phones,u.emails,u.privacy,u.y,u.x';
  $strFrom = TABUSER.' u';
  $strWhere = 'u.id>0  AND u.status="'.$_GET['status'].'"';
  $strInfo .= $L['Status'].' "'.$oSYS->statuses[$_GET['status']].'"';
  $strParam .= (!empty($strParam) ? '&amp;' : '').'a=1&amp;status='.$_GET['status'];
  if ( isset($_GET['s']) )
  {  
    if ( $_GET['s']>=0 )
    {  
    $strFrom = TABUSER.' u INNER JOIN '.TABS2U.' l ON l.userid = u.id';
    $strWhere = 'u.id>0 AND l.sid='.$_GET['s'];
    $strInfo .= ' '.$L['In_section'].' "'.$oSYS->sections[$_GET['s']].'"';
    $strParam .= (!empty($strParam) ? '&amp;' : '').'s='.$_GET['s'];
    }
  }  
}
if ( isset($_GET['title']) )
{
  $strSelect = 'i.ufield,i.ukey,u.id,u.username,u.title,u.firstname,u.midname,u.lastname,u.picture,u.status,u.phones,u.emails,u.privacy,u.y,u.x';
  $strFrom = TABINDEX.' i INNER JOIN '.TABUSER.' u ON i.userid=u.id';
  $str = trim($_GET['title']); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
  $str = strtoupper($str);
  $strWhere = 'i.userid>0 AND UPPER(i.ukey) LIKE "%'.$str.'%"';
  $strInfo .= $L['Users_with'].' "'.$str.'"';
  $strParam .= (!empty($strParam) ? '&amp;' : '').'title='.$str;
  if ( isset($_GET['s']) )
  {  
    if ( $_GET['s']>=0 )
    {  
    $strFrom = TABINDEX.' i INNER JOIN '.TABUSER. ' u ON i.userid=u.id INNER JOIN '.TABS2U.' l ON l.userid = u.id';
    $strWhere .= ' AND l.sid='.$_GET['s'];
    $strInfo .= ' '.$L['In_section'].' "'.$oSYS->sections[$_GET['s']].'"';
    $strParam .= (!empty($strParam) ? '&amp;' : '').'s='.$_GET['s'];
    }
  }
}

if ( empty($strInfo) ) die('Missing parameters');
if (isset($_GET['page'])) { $intLimit = ($_GET['page']-1)*$_SESSION[QT]['items_per_page']; $intPage=$_GET['page']; } else { $intLimit=0; $intPage=1; }
if (isset($_GET['order'])) $strOrder = $_GET['order'];
if (isset($_GET['dir']))   $strDirec = $_GET['dir'];

// --------
// QUERY PREPARATION
// --------

// Order
$strFullOrder = 'u.'.$strOrder.' '.$strDirec;
if ( $strOrder=='fullname' ) $strFullOrder='u.lastname'.' '.$strDirec;
  // second order
  if ( $strOrder!='firstname' ) $strFullOrder .= ',u.firstname ASC';

// -----
// COUNT
// -----

$intCount=0;
$oDB->Query('SELECT DISTINCT id FROM '.$strFrom.' WHERE '.$strWhere); //count only distinct id
while($row=$oDB->Getrow()) $intCount++;

// --------
// HTML START
// --------

include('qte_p_header.php');

// --------
// Display info
// --------

echo '<h2>'.$oVIP->selfname.'</h2>',N;
echo '<p>'.$strInfo,' &middot; ',LangS('Result',$intCount),' &middot; <a href="qte_search.php?',$strParam,'">',$L['Search'],'</a></p>',N;

if ( $intCount==0 )
{
  echo '
  <!-- COPYRIGHT LINE -->
  <div class="footer">
  <table class="hidden">
  <tr class="hidden">
  <td class="hidden" id="footer_zl"> </td>
  <td class="hidden" id="footer_zr">powered by <a href="http://www.qt-cute.org" class="footer_copy">QT-cute</a> v',QTEVERSION,'</td>
  </tr>
  </table>
  </div>
  <!-- END COPYRIGHT LINE -->

  </body>
  </html>';
  exit;
}

// --------
// Pager
// --------

$strPager = MakePager("$oVIP->selfurl?$strParam",$intCount,$_SESSION[QT]['items_per_page'],$intPage);
if ( $strPager ) $strPager = $L['Page'].$strPager;

// --------
// Display top pager
// --------

if ( $strPager )
{
echo '
<table class="hidden" cellspacing="0"><tr class="hidden"><td id="pager_zt">',$strPager,'</td></tr></table>
';
}
else
{
echo '<p></p>';
}

// --------
// Prepare fields
// --------

$arrFLD = GetFLDs('ufield;status_i;fullname;phones;emails_i;picture',false);

// check current order (if using default)

if ( !array_key_exists($strOrder,$arrFLD) )
{
  $strOrder='fullname'; if ( !array_key_exists($strOrder,$arrFLD) ) $strOrder='username';
}

// Fields exception

$i=0;
foreach($arrFLD as $strKey=>$oFLD)
{
  $i++;
  // extraclass
  $str = '';
  if ( $i==1 ) $str=' th_t_first';
  if ( $i==count($arrFLD) ) $str=' th_t_last';

  // define the fields ($oFLD->sort=false)
  switch ($strKey)
  {
  case 'ufield':   $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; $oFLD->name=$L['Result']; break;
  case 'fullname': $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; break;
  case 'status_i': $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; $oFLD->name=' &bull; '; break;
  case 'picture':  $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; break;
  case 'phones':   $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; break;
  case 'emails':   $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; break;
  case 'emails_i': $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; break;
  case 'coord':    $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; $oFLD->name=$L['Coord']; break;
  default:         $oFLD->desc='classhref=th_t;class=th_t th_t_'.$strKey.$str; break;
  }
  $arrFLD[$strKey]=$oFLD;
}

// --------
// Display members
// --------

echo '<table class="data_t" cellspacing="0">',N;
echo '<tr class="data_t">',N;

// ========
TableHeader($arrFLD,$intCount,"$oVIP->selfurl?page=1&amp;$strParam",$strOrder,$strDirec);
// ========

echo '</tr>',N;

foreach($arrFLD as $strKey=>$oFLD) if ( !empty($oFLD->desc) ) { $oFLD->desc = str_replace('th_','td_',$oFLD->desc); $arrFLD[$strKey]=$oFLD; }
// ========
$oDB->Query( LimitSQL( $strSelect.' FROM '.$strFrom.' WHERE '.$strWhere, $strFullOrder,$intLimit,$_SESSION[QT]['items_per_page'],$intCount) );
TableRows('S',$arrFLD,false,$bMap,$qte_root,$_SESSION[QT]['skin_dir']);
// ========

echo '</table>',N;

// --------
// Display bottom pager
// --------

if ( $strPager )
{
echo '
<table class="hidden" cellspacing="0"><tr class="hidden"><td id="pager_zb">',$strPager,'</td></tr></table>
';}

// MAP MODULE

if ( $bMap )
{
  echo '<!-- Map module -->',N;
  if ( count($arrExtData)>0 )
  {
    $strMapHelp = sprintf($L['map']['items'],count($arrExtData),strtolower(LangS('Result',$intCount)) );
    echo '<table class="hidden" style="margin-top:5px;">',N;
    echo '<tr class="hidden">',N;
    echo '<td class="gmap">',N;
    if ( !$_SESSION[QT]['m_map_hidelist'] )
    {
    echo QTgmapZoomControl($arrExtData);
    echo '<div id="map_canvas" style="width:100%; height:',($_SESSION[QT]['viewmode']=='C' ? '350' : '400'),'px;"></div>',N;
    }
    if ( !empty($strMapHelp) ) echo '<p class="gmap" style="margin:4px 0 0 0">'.$strMapHelp.'</span>';
    echo '</td>',N;
    echo '</tr>',N;
    echo '</table>',N;

    // Show/Hide

    if ( $_SESSION[QT]['m_map_hidelist'] )
    {
    echo '<p style="margin:2px"><a href="',$oVIP->selfurl,'?s=',$s,'&amp;showmap">',$L['map']['Show_map'],'</a></p>';
    }
    else
    {
    echo '<p style="margin:2px"><a href="',$oVIP->selfurl,'?s=',$s,'&amp;hidemap">',$L['map']['Hide_map'],'</a></p>';
    }
  }
  else
  {
    echo '<p class="gmap">'.$L['map']['E_noposition'].'</p>',N;
  }
  echo '<!-- Map module end -->',N;
}

// ---------
// HTML END
// ---------

// MAP MODULE

if ( $bMap )
{
  if ( count($arrExtData)>0 )
  {
  if ( count($arrExtData)>1 && isset($_SESSION[QT]['m_map'][$s]['zoom']) ) $bZoomAll=($_SESSION[QT]['m_map'][$s]['zoom']=='1' ? true : false);
  include('qtem_map_load.php');
  }
  else
  {
  echo '<script type="text/javascript">function GUnload() { return true; }</script>';
  }
}

include('qte_p_footer.php'); 

?>