<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090726
 * @link       http://www.qt-cute.org/doc/package/qte
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qte_init.php');
$oSYS->output='print';
if ( !$oVIP->CanView('V4') ) die(Error(11));
include('bin/qt_lib_graph.php');

// INITIALISE

$intYear = date('Y'); if ( intval(date('n'))<2 ) $intYear--; 
$s = -1; 

$oVIP->selfurl = 'qte_stats.php';
$oVIP->selfname = $L['Statistics'];

// SUBMITTED

if ( isset($_GET['year']) ) $intYear = intval($_GET['year']);
if ( isset($_GET['s']) ) $s = intval($_GET['s']);

if ( $s>=0 ) { $strWhere = ' INNER JOIN '.TABS2U.' s ON u.id=s.userid WHERE u.firstdate>"1" AND s.sid='.$s; } else { $strWhere=' WHERE u.firstdate>"1"'; }

// FIRST/LAST DATE

$oDB->Query( 'SELECT min(u.firstdate) as startdate, max(u.firstdate) as lastdate FROM '.TABUSER.' u '.$strWhere );
$row = $oDB->Getrow();
if ( empty($row['startdate']) ) $row['startdate']=strval($intYear-1).'0101';
if ( empty($row['lastdate']) )  $row['lastdate']=strval($intYear).'1231';

$strFirstdate = QTdatestr($row['startdate'],'$','$',false);
$strLastdate  = QTdatestr($row['lastdate'],'$','$',false);

$intStartyear  = intval(date('Y',strtotime($row['startdate'])));
$intStartmonth = intval(date('n',strtotime($row['startdate'])));
$intEndyear    = intval(date('Y'));
$intEndmonth   = intval(date('n'));

$arrAllYears = array();
for ($i=$intStartyear;$i<=$intEndyear;$i++) 
{
  $arrAllYears[$i]=$i;
}
$arrYears = array($intYear-1,$intYear);

// Initialise

$arrA = array(); // Abscise
$arrU = array(); // Users
$arrUs = array();// Users sum

foreach($arrYears as $intYear)
{
  $arrU[$intYear] = array(); 
  for ($i=1;$i<=12;$i++)
  {
  $arrA[$i]=$L['dateMM'][$i];
  $arrU[$intYear][$i]=null;
  }
  $arrUs[$intYear]=0;
}

// COUNT Users

// -----
foreach($arrYears as $intYear) {
// -----

for ($intBt=1;$intBt<=12;$intBt++)
{
  // check limits (startdate/enddate)
  
  if ( $intYear<$intStartyear ) continue;
  if ( $intYear==$intStartyear ) { if ( $intBt<$intStartmonth ) continue; }
  if ( $intYear>=$intEndyear ) { if ( $intBt>$intEndmonth ) continue; }

  // compute per blocktime

  $oDB->Query( 'SELECT count(id) as countid FROM '.TABUSER.' WHERE firstdate LIKE "'.($intYear*100+$intBt).'%"' );
  $row = $oDB->Getrow();
  $arrU[$intYear][$intBt] = intval($row['countid']);
  $arrUs[$intYear] += $arrU[$intYear][$intBt]; // total
}

// -----
}
// -----

// --------
// HTML START
// --------

include('qte_p_header.php');

// USERS

$oDB->Query( 'SELECT count(*) as countid FROM '.TABUSER );
$row = $oDB->Getrow();

$intUsers = $row['countid'];

echo '<h1>',$L['Statistics'],'</h1>
<h2>',$L['General_site'],'</h2>
<table class="data_o" style="width:370px;" cellspacing="0">
<tr class="data_o">
<td class="th_o" style="width:150px;"><span class="texthead">',$L['Users'],'</span></td>
<td class="td_o">',$intUsers,'</td>
</tr>
<tr class="data_o">
<td class="th_o" style="width:150px;"><span class="texthead">',$L['Section_start_date'],'</span></td>
<td class="td_o">',$strFirstdate,'</td>
</tr>
<tr class="data_o">
<td class="th_o" style="width:150px;"><span class="texthead">',$L['Last_registration'],'</span></td>
<td class="td_o">',$strLastdate,'</td>
</tr>
</table>
';

$arrSections = GetSectionTitles($oVIP->role);

echo '<h2>',$L['Items_per_month'],S,($s>=0 ? '('.$arrSections[$s].')' : ''),'</h2>';

// Display table header

echo '<table class="data_t" cellspacing="0">
<tr class="data_t">
<td class="th_o" style="width:85px">&nbsp;</td>
';
for ($i=1;$i<=12;$i++) { echo '<td class="th_o" style="text-align:center;">',$L['dateMM'][$i],'</td>'; }
echo '<td class="th_o" style="text-align:center;"><b>',$L['Year'],'</b></td>
</tr>';

// Display users

foreach($arrYears as $intYear)
{
echo '<tr class="data_o">',N;
echo '<td class="th_o">',$intYear,'</td>',N;
for ($intBt=1;$intBt<=12;$intBt++) 
{
echo '<td class="td_o" style="text-align:center;">',(isset($arrU[$intYear][$intBt]) ? $arrU[$intYear][$intBt] : '&middot;'),'</td>',N;
}
echo '<td class="td_o" style="text-align:center;padding:5px;"><b>',$arrUs[$intYear],'</b></td>',N;
echo '</tr>
';
}
echo '</table>
';

// After values display, change the null values to zero to be able to make charts

foreach($arrYears as $intYear)
{
$arrU[$intYear] = QTarrayzero($arrU[$intYear]);
}

// GRAPH
if ( file_exists('bin/qt_lib_graph.php') && file_exists($_SESSION[QT]['skin_dir'].'/qte_main2.css') )
{
  include('bin/qt_lib_graph.php');
  echo '<h2>',$intYear,S,($s>=0 ? '('.$arrSections[$s].')' : ''),'</h2>';
  echo '<div style="width:450px;">',N;
  QTbarchart(QTarraymerge($arrA,$arrU[$intYear]),320,100,QTroof($arrU[$intYear]),2,true,$L['Items_per_month'],'','1');
  echo '<br/>';
  QTbarchart(QTarraymerge($arrA,QTpercent($arrU[$intYear])),350,100,100,2,'P',$L['Items_per_month'].' (%)','','1');
  echo '<br/>';
  QTbarchart(QTarraymerge($arrA,QTcumul($arrU[$intYear])),320,100,QTroof(QTcumul($arrU[$intYear])),2,true,$L['Items_per_month_cumul'],'','1');
  echo '<br/>';
  QTbarchart(QTarraymerge($arrA,QTcumul(QTpercent($arrU[$intYear],2))),350,100,100,2,'P',$L['Items_per_month_cumul'].' (%)','','1');
  echo '</div>',N;
}
else
{
  echo '<p class="small">Graphs cannot be displayed because one of these files is missing: bin/qt_lib_graph.php, ',$_SESSION[QT]['skin_dir'].'/qte_main2.css</p>';
}

// HTML END

include('qte_p_footer.php');

?>