<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Team
 * @package    QuickTeam
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090726
 * @link       http://www.qt-cute/doc/package/qte
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */ 

session_start();
require_once('bin/qte_init.php');
if ( !$oVIP->CanView('V4') ) die(Error(11));

function InputFormat($strField,$aValue,$bCanBeList=false,$intSize=30,$intMaxlength=32)
{
  DieArg('InputFormat',array($strField,$bCanBeList,$intSize,$intMaxlength),array('str','boo','int','int')); //$aValue can be null or integer
  if ( $bCanBeList ) {
  if ( strstr(ObjTrans('ffield',$strField),';') ) {
    $arr = explode(' ; ',ObjTrans('ffield',$strField));
    $arrResult = array();
    $arrResult[' '] = ' ';
    foreach ($arr as $strValue)
    {
      $str = trim($strValue);
      $arrResult[$str] = $str;
    }
    $arr = array_unique($arrResult);
    return '<select id="'.$strField.'" name="'.$strField.'" onchange="bEdited=true;">'.QTasOption($arr,$aValue).'</select>';
  }}
  return '<input class="small" type="text" id="'.$strField.'" name="'.$strField.'" size="'.$intSize.'" maxlength="'.$intMaxlength.'" value="'.$aValue.'" onchange="bEdited=true;"/>';
}

// --------
// INITIALISE
// --------

include($_SESSION[QT]['language'].'/qte_reg.php');

$oVIP->selfurl = 'qte_usr.php';
$oVIP->selfname = $L['PProfile'];

$id = -1;
if ( isset($_GET['id']) ) $id = intval(strip_tags($_GET['id']));
if ( isset($_POST['id']) ) $id = intval(strip_tags($_POST['id']));
if ( $id<0 ) die('Wrong id in '.$oVIP->selfurl);

$tt = 'p';
if ( isset($_GET['tt']) ) $tt = $_GET['tt'];
if ( isset($_POST['tt']) ) $tt = $_POST['tt'];

$strHeadScript = '';

if ( !isset($_SESSION[QT]['willedit']) ) $_SESSION[QT]['willedit']=false;
if ( isset($_GET['editstart']) ) $_SESSION[QT]['willedit']=true;
if ( isset($_GET['editstop']) ) $_SESSION[QT]['willedit']=false;

$bEdit = false;
if ( $oVIP->IsStaff() ) $bEdit=true;
if ( $oVIP->id==$id && $_SESSION[QT]['member_right']!='0' ) $bEdit=true;
if ( $id<1 ) $bEdit=false;

// MAP MODULE

if ( UseModule('map') && $tt=='p' ) { $strCheck='U'; include('qtem_map_ini.php'); } else { $bMap=false; }

// QUERY USER

$oUser = new cUser($id,true); // privatise

  if ( $bMap ) {
  if ( !empty($oUser->x) && !empty($oUser->y) ) {
    $strPname = QTconv($oUser->fullname,'U');
    $strPlink = '<a class="small" href="http://maps.google.com?q='.floatval($oUser->y).','.floatval($oUser->x).'+('.urlencode($strPname).')&z='.$_SESSION[QT]['m_map_gzoom'].'" title="'.$L['map']['In_google'].'" target="_blank">[G]</a>';
    $strPinfo = '<span class="bold">Lat: '.QTdd2dms(floatval($oUser->y)).' <br/>Lon: '.QTdd2dms(floatval($oUser->x)).'</span><br/><span class="small">DD: '.round(floatval($oUser->y),8).', '.round(floatval($oUser->x),8).'</span> '.$strPlink;
    $oMapPoint = new cMapPoint(floatval($oUser->y),floatval($oUser->x),$strPname,$strPinfo);
    if ( isset($_SESSION[QT]['m_map']['U']['icon']) )        $oMapPoint->icon        = $_SESSION[QT]['m_map']['U']['icon'];
    if ( isset($_SESSION[QT]['m_map']['U']['shadow']) )      $oMapPoint->shadow      = $_SESSION[QT]['m_map']['U']['shadow'];
    if ( isset($_SESSION[QT]['m_map']['U']['printicon']) )   $oMapPoint->printicon   = $_SESSION[QT]['m_map']['U']['printicon'];
    if ( isset($_SESSION[QT]['m_map']['U']['printshadow']) ) $oMapPoint->printshadow = $_SESSION[QT]['m_map']['U']['printshadow'];
    $arrExtData[] = $oMapPoint;
  }}

$strOldname = $oUser->firstname.' '.$oUser->lastname;
$arrTabs = array('p'=>$L['PProfile'],'t'=>$L['TProfile'],'m'=>$L['MProfile'],'d'=>$L['DProfile'],'s'=>$L['SProfile']);
$arrFLD = array();
if ($tt=='p') $arrFLD = GetFLDs('title;firstname;midname;lastname;alias;nationality;sexe;status;birthdate;address;phones;emails;www');
if ($tt=='t') $arrFLD = GetFLDs('teamid1;teamid2;teamrole1;teamrole2;teamdate1;teamdate2;teamvalue1;teamvalue2;teamflag1;teamflag2;descr');

$strPosition='';

// --------
// HTML START
// --------

if ( $bEdit && $_SESSION[QT]['willedit'] ) {
if ( $tt=='s' || array_key_exists('teamdate1',$arrFLD) || array_key_exists('teamdate2',$arrFLD) || array_key_exists('birthdate',$arrFLD) || array_key_exists('childdate',$arrFLD) || array_key_exists('parentdate',$arrFLD) ) {
  $oVIP->css[] = 'qt_jquery.css';
  $strHeadScript .= '
  <script type="text/javascript" src="bin/qt_jquery.js"></script>
  <script type="text/javascript" src="bin/qt_jquery_date.js"></script>
  <script type="text/javascript">
  <!--
  $(document).ready(function() {
    '.($tt=='s' ? '$("#regdate").datepicker({ dateFormat: "yy-mm-dd", monthNames: ["'.implode('","',$L['dateMMM']).'"], dayNames: ["'.implode('","',$L['dateDDD']).'"], dayNamesMin: ["'.implode('","',$L['dateD']).'"] });' : '').
    (array_key_exists('teamdate1',$arrFLD) ? '$("#teamdate1").datepicker({ dateFormat: "yy-mm-dd", monthNames: ["'.implode('","',$L['dateMMM']).'"], dayNames: ["'.implode('","',$L['dateDDD']).'"], dayNamesMin: ["'.implode('","',$L['dateD']).'"] });' : '').
    (array_key_exists('teamdate2',$arrFLD) ? '$("#teamdate2").datepicker({ dateFormat: "yy-mm-dd", monthNames: ["'.implode('","',$L['dateMMM']).'"], dayNames: ["'.implode('","',$L['dateDDD']).'"], dayNamesMin: ["'.implode('","',$L['dateD']).'"] });' : '').
    (array_key_exists('birthdate',$arrFLD) ? '$("#birthdate").datepicker({ dateFormat: "yy-mm-dd", monthNames: ["'.implode('","',$L['dateMMM']).'"], dayNames: ["'.implode('","',$L['dateDDD']).'"], dayNamesMin: ["'.implode('","',$L['dateD']).'"] });' : '').
    (array_key_exists('childdate',$arrFLD) ? '$("#childdate").datepicker({ dateFormat: "yy-mm-dd", monthNames: ["'.implode('","',$L['dateMMM']).'"], dayNames: ["'.implode('","',$L['dateDDD']).'"], dayNamesMin: ["'.implode('","',$L['dateD']).'"] });' : '').
    (array_key_exists('parentdate',$arrFLD) ? '$("#parentdate").datepicker({ dateFormat: "yy-mm-dd", monthNames: ["'.implode('","',$L['dateMMM']).'"], dayNames: ["'.implode('","',$L['dateDDD']).'"], dayNamesMin: ["'.implode('","',$L['dateD']).'"] });' : '').'
  });
  -->
  </script>
  ';
}}
include('qte_p_header.php');

// -- BUTTON BAR & TITLE --

if ( $oVIP->IsStaff() ) 
{
echo '
<form method="get" action="qte_cmd.php" id="modaction">
<div class="modboard">
<span class="modboard">',$L['Userrole'][$oVIP->role],' 
<select name="a" class="small" onchange="',"if (this.value!='') { document.getElementById('modaction').submit(); }",'">
<option value="">',S,'</option>
<option value="pwdreset">',$L['Reset_pwd'],'...</option>',($id>1 ? '<option value="userrole">'.$L['Change_role'].'...</option><option value="deleteuser">'.$L['User_del'].'...</option>' :''),'
<input type="submit" name="Mok" value="',$L['Ok'],'" class="small" id="action_ok"/>
<input type="hidden" name="u" value="',$id,'"/>
<script type="text/javascript">document.getElementById("action_ok").style.visibility="hidden";document.getElementById("action_ok").value="";</script>
</span>
</div>
</form>
';
}

// DISPLAY TABS

echo '<h1 class="profile_name">',$oUser->fullname,'</h1>
';

echo HtmlTabs($arrTabs,$oVIP->selfurl.'?id='.$id,$tt);

// DISPLAY TAB PANEL

echo '<table class="pan" cellspacing="0">
<tr class="pan">
<td class="pan">
<div class="pan_top">',(isset($L[strtoupper($tt).'Profile']) ? $L[strtoupper($tt).'Profile'] : $L['Profile']),'</div>
';

if ( $bEdit )
{
  if ( $_SESSION[QT]['willedit'] ) 
  {
  echo '<p style="text-align:right"><a href="',$oVIP->selfurl,'?id=',$id,'&amp;tt=',$tt,'&amp;editstop" onclick="return warningedited(bEdited,\''.$L['E_data_not_saved'].'\');">',$L['Edit_stop'],'</a></p>';
  }
  else
  {
  echo '<p style="text-align:right"><a href="',$oVIP->selfurl,'?id=',$id,'&amp;tt=',$tt,'&amp;editstart">',$L['Edit_start'],'</a></p>';
  }
}

switch($tt)
{
case 't': include('qte_usr_t.php'); break;
case 'd': include('qte_usr_d.php'); break;
case 'm': include('qte_usr_m.php'); break;
case 's': include('qte_usr_s.php'); break;
default:  include('qte_usr_p.php');
}

echo '
</td>
</tr>
</table>
';

if ( $bEdit && $_SESSION[QT]['willedit'] && isset($strInfo) )
{
echo '
<script type="text/javascript">
<!--
setTimeout(\'document.getElementById("infomessage").style.color="#bbbbbb"\',3000);
setTimeout(\'document.getElementById("infomessage").style.color="#cccccc"\',3300);
setTimeout(\'document.getElementById("infomessage").style.color="#dddddd"\',3600);
setTimeout(\'document.getElementById("infomessage").innerHTML="&nbsp;"\',3900);
-->
</script>
';
}

// --------
// HTML END
// --------

// MAP MODULE
if ( $bMap ) { $bEdit=$_SESSION[QT]['willedit']; include('qtem_map_load.php'); }

include('qte_p_footer.php');

?>