<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Team
 * @package    QuickTeam
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090726
 * @link       http://www.qt-cute/doc/package/qte
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qte_init.php');
$oSYS->output='print';
if ( !$oVIP->CanView('V4') ) die(Error(11));

// --------
// INITIALISE
// --------

include('bin/qt_lib_smtp.php');
include($_SESSION[QT]['language'].'/qte_reg.php');

$oVIP->selfurl = 'qte_usr_prt.php';
$oVIP->selfname = $L['PProfile'];

$id = -1;
if ( isset($_GET['id']) ) $id = intval(strip_tags($_GET['id']));
if ( $id<0 )  die('Wrong id in '.$oVIP->selfurl);

$bEdit = false;

// MAP MODULE

if ( UseModule('map') ) { $strCheck='U'; include('qtem_map_ini.php'); } else { $bMap=false; }

// QUERY USER

$oUser = new cUser($id,true); // privatise

  if ( $bMap ) {
  if ( !empty($oUser->x) && !empty($oUser->y) ) {
    $strPname = QTconv($oUser->fullname,'U');
    $strPlink = '<a class="small" href="http://maps.google.com?q='.floatval($oUser->y).','.floatval($oUser->x).'+('.urlencode($strPname).')&z='.$_SESSION[QT]['m_map_gzoom'].'" title="'.$L['map']['In_google'].'" target="_blank">[G]</a>';
    $strPinfo = '<span class="bold">Lat: '.QTdd2dms(floatval($oUser->y)).' <br/>Lon: '.QTdd2dms(floatval($oUser->x)).'</span><br/><span class="small">DD: '.round(floatval($oUser->y),8).', '.round(floatval($oUser->x),8).'</span> '.$strPlink;
    $oMapPoint = new cMapPoint(floatval($oUser->y),floatval($oUser->x),$strPname,$strPinfo);
    if ( isset($_SESSION[QT]['m_map']['U']['icon']) )        $oMapPoint->icon        = $_SESSION[QT]['m_map']['U']['icon'];
    if ( isset($_SESSION[QT]['m_map']['U']['shadow']) )      $oMapPoint->shadow      = $_SESSION[QT]['m_map']['U']['shadow'];
    if ( isset($_SESSION[QT]['m_map']['U']['printicon']) )   $oMapPoint->printicon   = $_SESSION[QT]['m_map']['U']['printicon'];
    if ( isset($_SESSION[QT]['m_map']['U']['printshadow']) ) $oMapPoint->printshadow = $_SESSION[QT]['m_map']['U']['printshadow'];
    $arrExtData[] = $oMapPoint;
  }}

$arrFLD = GetFLDs('teamid1;teamid2;teamrole1;teamrole2;teamdate1;teamdate2;teamvalue1;teamvalue2;teamflag1;teamflag2;descr');

$strPosition='';

// --------
// HTML START
// --------

include('qte_p_header.php');

// -- QUERY USER --

$strBirth_y = '';
$strBirth_m = '';
$strBirth_d = '';
if ( !empty($oUser->birthdate) )
{
  $strBirth_y = intval(substr(strval($oUser->birthdate),0,4));
  $strBirth_m = intval(substr(strval($oUser->birthdate),4,2));
  $strBirth_d = intval(substr(strval($oUser->birthdate),6,2));
}

// -- DISPLAY PROFILE --

if ( !empty($error) ) echo '<span class="error">',$error,'</span>',N;
echo '<table class="data_o" cellspacing="0">',N;
echo '<colgroup span="3">',N;
echo '<col width="150"></col>',N;
echo '<col></col>',N;
echo '<col width="50"></col>',N;
echo '</colgroup>',N;

echo '<tr>',N;
echo '<td class="td_o">',AsImg($oUser->picture),'</td>',N;
echo '<td class="td_o"><h2 style="margin:4px">',AsFormat($oUser->fullname,ObjTrans('ffield','fullname')),'</h2></td>',N;
echo '<td class="td_o"></td>',N;
echo '</tr>',N;

echo '<tr><td class="th_o" colspan="3"><h2 style="margin:4px">',$L['PProfile'],'</h2></td></tr>';

echo '<tr>',N;
echo '<td class="th_o">',ObjTrans('field','username'),'</td>',N;
echo '<td class="td_o">',AsFormat($oUser->username,ObjTrans('ffield','username'));
if ( $oUser->role=='A' || $oUser->role=='M' ) echo ' <span class="small">(',$L['Userrole'][$oUser->role],')</span>';
echo '</td>',N;
echo '<td class="td_o"></td>',N;
echo '</tr>',N;

echo '<tr>',N;
echo '<td class="th_o">',$L['Status'],'</td>',N;
echo '<td class="td_o">',$oSYS->statuses[$oUser->status]['statusname'],S,AsImg($_SESSION[QT]['skin_dir'].'/'.$oSYS->statuses[$oUser->status]['icon'],'ico i_status'),'</td>',N;
echo '<td class="td_o">';
echo '</td>',N;
echo '</tr>',N;

$arrFLD = GetFLDs('title;firstname;midname;lastname;alias;phones');

foreach ($arrFLD as $strField=>$oFLD)
{
  echo '<tr><td class="th_o">',$oFLD->name,'</td>',N;
  echo '<td class="td_o">',AsFormat(AsList($oUser->$strField),$oFLD->format),'</td>',N;
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '</tr>';
}

$arrFLD = GetFLDs('address;emails;www;birthdate');

if ( array_key_exists('address',$arrFLD) )
{
  echo '<tr><td class="th_o">',ObjTrans('field','address'),'</td>',N;
  echo '<td class="td_o">',implode('<br/>',AsList($oUser->address)),'</td>',N;
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '</tr>',N;
}

if ( array_key_exists('emails',$arrFLD) )
{
  $arr = AsList($oUser->emails);
  foreach($arr as $intKey=>$strValue)
  {
    $arr[$intKey] = AsEmailText(trim($strValue),'mail_'.$oUser->id.'_'.$intKey,false,QTE_JAVA_MAIL);
  }
  echo '<tr><td class="th_o">',ObjTrans('field','emails'),'</td>',N;
  echo '<td class="td_o">',implode('; ',$arr),'</td>',N;
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '</tr>';
}

if ( array_key_exists('www',$arrFLD) )
{
  $arr = AsList($oUser->www);
  foreach($arr as $intKey=>$strValue) $arr[$intKey] = AsUrl(trim($strValue),false,array('label'=>DropHttp($strValue)));
  echo '<tr><td class="th_o">',ObjTrans('field','www'),'</td>',N;
  echo '<td class="td_o">',implode(' &middot; ',$arr),'</td>',N;
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '</tr>';
}

if ( array_key_exists('birthdate',$arrFLD) )
{
  echo '<tr><td class="th_o">',ObjTrans('field','birthdate'),'</td>',N;
  echo '<td class="td_o">',(!empty($oUser->birthdate) ? AsFormat(QTdatestr($oUser->birthdate,'$','',false),ObjTrans('ffield','birthdate')).' ('.AsFormat($oUser->age,ObjTrans('ffield','age')).')' : S),'</td>',N;
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '</tr>',N;
}

// CHILD

if ( $oUser->coppa!='0' ) {
if ( $_SESSION[QT]['register_coppa']=='1' ) {
if ( $oVIP->IsStaff() ) {

echo '<tr><td class="th_o" colspan="3"><h2 style="margin:4px">',$L['Coppa_status'],' ',$L['H_Coppa_status'],'</h2></td></tr>';

  echo '<tr>',N;
  echo '<td class="th_o">',$L['Coppa_status'],'</td>',N;
  echo '<td class="td_o">',$L['Coppa_child'][$oUser->coppa],'</td>',N;
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '</tr>',N;

  $oDB->Query('SELECT * FROM '.TABCHILD.' WHERE id='.$id);
  $row = $oDB->Getrow();
  //if ( $row['countid']!=1 ) $error = 'Unidentified child.';

  $strChilddate_y = '';
  $strChilddate_m = '';
  $strChilddate_d = '';
  if ( !empty($row['childdate']) )
  {
    $strChilddate_y = intval(substr(strval($row['childdate']),0,4));
    $strChilddate_m = intval(substr(strval($row['childdate']),4,2));
    $strChilddate_d = intval(substr(strval($row['childdate']),6,2));
  }
  $strParentdate_y = '';
  $strParentdate_m = '';
  $strParentdate_d = '';
  if ( !empty($row['Parentdate']) )
  {
    $strParentdate_y = intval(substr(strval($row['Parentdate']),0,4));
    $strParentdate_m = intval(substr(strval($row['Parentdate']),4,2));
    $strParentdate_d = intval(substr(strval($row['Parentdate']),6,2));
  }

  echo '<tr>',N;
  echo '<td class="th_o">Registration date</td>',N;
  echo '<td class="td_o">',(!empty($row['childdate']) ? QTdatestr($row['childdate'],'$','',false) : ''),'</td>',N;
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '</tr>',N;

  echo '<tr>',N;
  echo '<td class="th_o">Parent agreement</td>',N;
  echo '<td class="td_o">',(!empty($row['parentdate']) ? QTdatestr($row['parentdate'],'$','',false) : ''),'</td>',N;
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '</tr>',N;

  echo '<tr>',N;
  echo '<td class="th_o">Parent email</td>',N;
  echo '<td class="td_o"><a href="mailto:',$row['parentmail'],'" class="small">',$row['parentmail'],'</a></td>',N;
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '</tr>',N;

}}}

echo '<tr><td class="th_o" colspan="3"><h2 style="margin:4px">',$L['TProfile'],'</h2></td></tr>';

foreach ($arrFLD as $strField=>$oFLD)
{
  echo '<tr>';
  echo '<td class="th_o">',$oFLD->name,'</td>';

  switch($strField)
  {
  case 'teamdate1':
    echo '<td class="td_o">',(!empty($oUser->$strField) ? QTdatestr($oUser->$strField,'$','',false) : S),'</td>';
    break;
  case 'teamdate2':
    echo '<td class="td_o">',(!empty($oUser->$strField) ? QTdatestr($oUser->$strField,'$','',false) : S),'</td>';
    break;
  default:
    echo '<td class="td_o">',(!empty($oUser->$strField) ? AsFormat($oUser->$strField,$oFLD->format) : S),'</td>';
    break;
  }
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '</tr>',N;
}

// -- QUERY MEMBERSHIP --

echo '<tr>';
echo '<td class="th_o">',$L['MProfile'],'</td>';
echo '<td class="td_o">';

$arrMembership = array();
$oDB->Query('SELECT s.id,s.title,s.options,s.stats FROM '.TABSECTION.' s INNER JOIN '.TABS2U.' l  ON l.sid=s.id WHERE l.userid='.$id.' ORDER BY l.sid DESC');
while ( $row=$oDB->Getrow() )
{
  $arrMembership[$row['id']] = $row;
}

foreach ($arrMembership as $intId => $arrSection)
{
  $oSEC = new cSection($arrSection);
  echo '<b>',$oSEC->name,'</b> &middot; ',$oSEC->descr,' <span class="small">('.LangS('User',$oSEC->members).')</span><br/>';
}
if ( count($arrMembership)==0 ) echo $L['E_no_membership'];

echo '</td>',N;
echo '<td class="td_o">&nbsp;</td>',N;
echo '</tr>',N;

// -- QUERY DOCUMENTS --

$arrDocs = array();
$oDB->Query('SELECT * FROM '.TABDOC.' WHERE id='.$id.' ORDER BY docname DESC');
while ( $row=$oDB->Getrow() )
{ 
  $arrDocs[] = $row;
}

echo '<td class="th_o">',$L['DProfile'],'</td>';
echo '<td class="td_o">';
if ( count($arrDocs)==0 ) 
{
  echo $L['None'];
}
else
{
  foreach ($arrDocs as $intId => $arrDoc)
  {
  echo '<span class="small">(',QTdatestr($arrDoc['docdate'],'$','',false),')</span> ',$arrDoc['docname'],', ';
  }
}
echo '</td>
<td class="td_o">&nbsp;</td>
</tr>
</table>',N;

// MAP

if ( $bMap )
{
  if ( !empty($oUser->y) && !empty($oUser->x) ) 
  {
  echo '<p>',$L['Coord'],': ',QTdd2dms(floatval($oUser->y)),', ',QTdd2dms(floatval($oUser->x)),' ',$L['Coord_latlon'],' <span class="small disabled">DD ',round(floatval($oUser->y),8),',',round(floatval($oUser->y),8),'</span></p>';
  }
  $strPosition = '<div id="map_canvas" style="width:100%; height:340px;"></div>';
  if ( empty($oUser->x) || empty($oUser->y) ) $strPosition = '<span class="gmap">'.$L['map']['E_noposition'].'</span>';
  if ( $row['privacy']=='0' && $oVIP->role!='A' ) $strPosition = S;
  if ( $row['privacy']=='1' && $oVIP->role=='V' ) $strPosition = S;
  echo '<div class="gmap" style="margin-top:10px;width:550px">',$strPosition,'</div>';
}

// ---------
// HTML END
// ---------

// MAP MODULE

if ( $bMap ) { include('qtem_map_load.php'); }

include('qte_p_footer.php');

?>