<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Team
 * @package    QuickTeam team
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090726
 * @link       http://www.qt-cute/doc/package/qte
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 *

You can include a team list into your website using several technics:
- As a simple html page (that you can open with a simple link, in a frame or in a iframe)
- Included in a html or php page (i.e. included in php tags or in pseudo-frame)

-------------------------
In both cases, the code we will use is:
-------------------------

<?php
$qte_web_path = 'quickteam/'; // the path where the quickteam application is installed (with final /)
$qte_web_team = 1;            // the ID of the team to display
$qte_web_head = false;        // use true to include html header (i.e. if you use frames or iframe), use false if included in a php page
$qte_web_skin = 'default';    // name of the skin
$qte_web_view = 'Normal';     // Normal or Compact (small picture and only 1 phone,adress)
$qte_web_link = false;        // Add hyperlink to open the profile in the QuickTeam application
$qte_web_banner = false;      // false/true to show the banner on top of the team list
$qte_web_logo = true;         // false/true to show the logo and the team name on top of the team list
include($qte_web_path."qte_web.php");
?>

-------------------------
Making a simple html page
-------------------------
You can ask QuickTeam to make a simple html page.
We create a new page (e.g. mylist.php) that will include the team list generated by QuickTeam.

1) Copy the code in a new file (i.e. a text file that you rename mylist.php)
2) Put the value TRUE for the variable $qte_web_head (to generate a full html page, instead of just a part of a page)
3) Update the value for the variable $qte_web_path; depending on where you will place this new page.
   Ex: If this page is placed at the root of your website and if you have installed the QuickTeam application in a subfolder (quickteam) the path to the QuickTeam application is simple: $qte_web_path = 'quickteam/';
   Ex: If this page is placed in a subfolder of your website and if you have installed the QuickTeam application in an other subfolder (quickteam), the path to the QuickTeam application will be: $qte_web_path = '../quickteam/';
4) Update your home page or your menu frame of your website to add a link to your new page (mylist.php)

-------------------------
Include the team list in an existing page
-------------------------
You can ask QuickTeam to make your quickteam list as an block (to be included in an other page).
1) Copy the code in your page, where you want the list to appear (don't forget the tags <?php and ?> if you include the code in a html page, remove it if you include the code in a php page).
2) Put the value FALSE for the variable $qte_web_head
3) Update the value for the variable $qte_web_path; depending on the location of your page.
   Ex: If your page is placed at the root of your website and if you have installed the QuickTeam application in a subfolder (quickteam) the path to the QuickTeam application is simple: $qte_web_path = 'quickteam/';
   Ex: If your page is placed in a subfolder of your website and if you have installed the QuickTeam application in an other subfolder (quickteam), the path to the QuickTeam application will be: $qte_web_path = '../quickteam/';

-------------------------
About the ID of the team
-------------------------
The procedure here will display the team having the id 1 (as $qte_web_team=1).
Change this variable to display other team.
The ID of the team can be found in administration page of QuickTeam (page Manage teams).

-------------------------
Multiple teams
-------------------------
To display an other team, just copy twice the code (an put an other id in the variable $qte_web_team).

-------------------------
Here after is a sample
-------------------------
You can run this page from your website...
This will create an html page showing the Team #2 with the team logo on top.
In the example here after, $qte_web_path is empty because we assume that this page is already in the quickteam directory.
If you move this page to the parent directory, the variable must be change (for example: $qte_web_path = 'quickteam/'; ).
*/

session_start();

echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" xml:lang="en" lang="en">
<head>
<title>Test</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1"/>
</head>
<body>
';

$qte_web_path = '';             // the path where the quickteam application is installed (with final /)
$qte_web_team = 1;              // the ID of the team to display
$qte_web_head = false;          // use true to include html header (i.e. if you use frames or iframe), use false if included in a php page
$qte_web_skin = 'professional'; // name of the skin
$qte_web_view = 'Normal';       // Normal or Compact (small picture and only 1 phone,adress)
$qte_web_link = true;           // Add hyperlink to allow opening profiles in the QuickTeam application
$qte_web_banner = false;        // false/true to show the banner on top of the team list
$qte_web_logo = true;           // false/true to show the logo and the team name on top of the team list
include($qte_web_path.'qte_web.php');

echo '</body></html>';

?>